import type { PaginationOptions } from '../models/global-types';
export type GlobalFilter = {
    [key: string]: 'string' | 'uuid' | 'int' | 'float';
};
declare class PrimeVueDataTableExtensionsClass {
    private getConstraintSearchQuery;
    private getGlobalConstraintSearchQuery;
    private getInternalSearchQueries;
    private getGlobalSearchParams;
    createSearchParams(filters: any, globalFilters: Array<GlobalFilter>): string[];
    getPaginationOptions(tableObj: any): PaginationOptions;
}
export declare const PrimeVueDataTableExtensions: PrimeVueDataTableExtensionsClass;
export {};
