import { a as da, b as ga, d as Ea, e as pa, f as Na, i as ha, g as Ta, m as va, h as La, j as Oa, k as Ia, l as ba, n as Aa, r as ya, o as Sa, p as Pa, s as Da, u as Ca, v as Ra } from "./index-INUJaP_F.js";
import { defineComponent as Mt, h as Pn, getCurrentInstance as nt, effectScope as Ma, inject as ka, onMounted as Fa, onUnmounted as wa, shallowRef as $a, ref as fe, computed as me, onBeforeMount as Va, watch as Tt, Fragment as Dn, isRef as Ua, createVNode as xa, Text as Wa } from "vue";
const Ha = "Loading. Please wait...", Ga = "Connected", Ya = "Disconnected", Ba = "Save", ja = "Edit", Ka = "Cancel", Xa = "Newest", qa = "Oldest", Ja = "Drag and drop files to here to upload.", Qa = "Sort By {arg}", Za = "* Selected items are required", za = "Success", es = "Failed", ts = "Information", ns = "{entity} {description} Saved successfully", as = "Failed to save {entity}. Reason: {reason}", ss = "{entity} {description} Deleted successfully", rs = "Failed to delete {entity} {description}: Reason: ${reason}", os = "Uploaded {filename} ({size} kb) to {entity} {description} successfully", ls = "Confirmation", cs = "Are you sure you want to delete {entity} {description}?", is = "Are you sure you want to delete the {count} selected {entity}?", us = "Copy {text} to clipboard", _s = "Copied {value} to clipboard", fs = "Failed to copy to clipboard", ms = "No results found", ds = "Paginate?", gs = "Showing", Es = "to", ps = "of", Ns = "Search by {msg}", hs = "Search", Ts = "No records found.", vs = "{count} Results Found.", Ls = "Clear Filters", Os = "Clear Global Filter", Is = "Select Columns", bs = "Columns Selected", As = "{items} items selected", ys = "No selected item", Ss = {
  loading: Ha,
  connected: Ga,
  disconnected: Ya,
  new: "New",
  save: Ba,
  edit: ja,
  delete: "Delete",
  cancel: Ka,
  newest: Xa,
  oldest: qa,
  drag_drop_files_to_upload: Ja,
  sort_by_arg: Qa,
  required_fields_label: Za,
  success: za,
  failed: es,
  info: ts,
  save_successful: ns,
  save_failed: as,
  delete_successful: ss,
  delete_failed: rs,
  upload_successful: os,
  confirm_header: ls,
  confirm_delete_message: cs,
  confirm_delete_selected_message: is,
  copy_to_clipboard: us,
  copy_to_clipboard_success: _s,
  copy_to_clipboard_failed: fs,
  empty_search_message: ms,
  paginate: ds,
  paginator_showing: gs,
  paginator_to: Es,
  paginator_of: ps,
  search_by: Ns,
  keyword_search: hs,
  no_records_found: Ts,
  results_found: vs,
  clear_filters: Ls,
  clear_global_filter: Os,
  select_columns: Is,
  columns_selected: bs,
  export: "Export",
  selection_message: As,
  empty_selection_message: ys
}, Ps = "Загрузка. Пожалуйста, подождите...", Ds = "Связанный", Cs = "Отключено", Rs = "Сохранять", Ms = "Редактировать", ks = "Отмена", Fs = "Самый новый", ws = "Самый старый", $s = "Перетащите сюда файлы для загрузки.", Vs = "Сортировать по {arg}", Us = "*Выбранные позиции обязательны.", xs = "Успех", Ws = "Неуспешный", Hs = "Информация", Gs = "{entity} {description} успешно сохранено.", Ys = "Не удалось сохранить {entity}. Причина: {reason}", Bs = "{entity} {description} успешно удалено", js = "Не удалось удалить {entity} {description}: Причина: ${reason}.", Ks = "Файл {filename} ({size} КБ) успешно загружен в {entity} {description}.", Xs = "Подтверждение", qs = "Вы уверены, что хотите удалить {entity} {description}?", Js = "Вы уверены, что хотите удалить {count} выбранный {entity}?", Qs = "Скопировать {text} в буфер обмена", Zs = "Скопировано {value} в буфер обмена.", zs = "Не удалось скопировать в буфер обмена", er = "Результатов не найдено", tr = "С разбивкой на страницы?", nr = "Показан", ar = "кому", sr = "из", rr = "Поиск по {msg}", or = "Поиск", lr = "Записи не найдены.", cr = "Найдено результатов: {count}.", ir = "Очистить фильтры", ur = "Очистить глобальный фильтр", _r = "Выбрать столбцы", fr = "Выбранные столбцы", mr = "Выбрано {items} элементов", dr = "Нет выбранного элемента", gr = {
  loading: Ps,
  connected: Ds,
  disconnected: Cs,
  new: "Новый",
  save: Rs,
  edit: Ms,
  delete: "Удалить",
  cancel: ks,
  newest: Fs,
  oldest: ws,
  drag_drop_files_to_upload: $s,
  sort_by_arg: Vs,
  required_fields_label: Us,
  success: xs,
  failed: Ws,
  info: Hs,
  save_successful: Gs,
  save_failed: Ys,
  delete_successful: Bs,
  delete_failed: js,
  upload_successful: Ks,
  confirm_header: Xs,
  confirm_delete_message: qs,
  confirm_delete_selected_message: Js,
  copy_to_clipboard: Qs,
  copy_to_clipboard_success: Zs,
  copy_to_clipboard_failed: zs,
  empty_search_message: er,
  paginate: tr,
  paginator_showing: nr,
  paginator_to: ar,
  paginator_of: sr,
  search_by: rr,
  keyword_search: or,
  no_records_found: lr,
  results_found: cr,
  clear_filters: ir,
  clear_global_filter: ur,
  select_columns: _r,
  columns_selected: fr,
  export: "Экспорт",
  selection_message: mr,
  empty_selection_message: dr
}, Er = {
  alpha: "The value is not alphabetical",
  alphaNum: "The value must be alpha-numeric",
  between: "The value must be between {min} and {max}",
  decimal: "Value must be decimal",
  email: "Value is not a valid email address",
  integer: "Value is not an integer",
  ipAddress: "The value is not a valid IP address",
  macAddress: "The value is not a valid MAC Address",
  maxLength: "The maximum length allowed is {max}",
  maxValue: "The maximum value allowed is {max}",
  minLength: "The minimum length allowed is {min}",
  minValue: "The minimum value allowed is {min}",
  numeric: "Value must be numeric",
  required: "Value is required.",
  requiredIf: "Value is required.",
  requiredUnless: "Value is required.",
  sameAs: "The value must be equal to the {otherName} value",
  url: "The value is not a valid URL address"
}, pr = {
  VALIDATIONS: Er
}, Nr = {
  alpha: "Значение не в алфавитном порядке",
  alphaNum: "Значение должно быть буквенно-цифровым",
  between: "Значение должно быть между {min} и {max}",
  decimal: "Значение должно быть десятичным",
  email: "Значение не является действительным адресом электронной почты",
  integer: "Значение не является целым числом",
  ipAddress: "Значение не является допустимым IP-адресом",
  macAddress: "Значение не является допустимым MAC-адресом",
  maxLength: "Максимально допустимая длина — {max}",
  maxValue: "Максимально допустимое значение — {max}",
  minLength: "Минимально допустимая длина — {min}",
  minValue: "Минимально допустимое значение — {min}",
  numeric: "Значение должно быть числовым",
  required: "Необходимо значение.",
  requiredIf: "Значение обязательно.",
  requiredUnless: "Необходимо значение.",
  sameAs: "Значение должно быть равно значению {otherName}",
  url: "Значение не является допустимым URL-адресом"
}, hr = {
  VALIDATIONS: Nr
}, Tr = "Starts with", vr = "Contains", Lr = "Not contains", Or = "Ends with", Ir = "Equals", br = "Not equals", Ar = "No Filter", yr = "Less than", Sr = "Less than or equal to", Pr = "Greater than", Dr = "Greater than or equal to", Cr = "Date is", Rr = "Date is not", Mr = "Date is before", kr = "Date is after", Fr = "Clear", wr = "Apply", $r = "Match All", Vr = "Match Any", Ur = "Add Rule", xr = "Remove Rule", Wr = "Yes", Hr = "No", Gr = "Choose", Yr = "Upload", Br = "Cancel", jr = "Completed", Kr = "Pending", Xr = [
  "B",
  "KB",
  "MB",
  "GB",
  "TB",
  "PB",
  "EB",
  "ZB",
  "YB"
], qr = [
  "Sunday",
  "Monday",
  "Tuesday",
  "Wednesday",
  "Thursday",
  "Friday",
  "Saturday"
], Jr = [
  "Sun",
  "Mon",
  "Tue",
  "Wed",
  "Thu",
  "Fri",
  "Sat"
], Qr = [
  "Su",
  "Mo",
  "Tu",
  "We",
  "Th",
  "Fr",
  "Sa"
], Zr = [
  "January",
  "February",
  "March",
  "April",
  "May",
  "June",
  "July",
  "August",
  "September",
  "October",
  "November",
  "December"
], zr = [
  "Jan",
  "Feb",
  "Mar",
  "Apr",
  "May",
  "Jun",
  "Jul",
  "Aug",
  "Sep",
  "Oct",
  "Nov",
  "Dec"
], eo = "Choose Year", to = "Choose Month", no = "Choose Date", ao = "Previous Decade", so = "Next Decade", ro = "Previous Year", oo = "Next Year", lo = "Previous Month", co = "Next Month", io = "Previous Hour", uo = "Next Hour", _o = "Previous Minute", fo = "Next Minute", mo = "Previous Second", go = "Next Second", Eo = "am", po = "pm", No = "Today", ho = "Wk", To = 0, vo = "mm/dd/yy", Lo = "Weak", Oo = "Medium", Io = "Strong", bo = "Enter a password", Ao = "No results found", yo = "{0} results are available", So = "{0} items selected", Po = "No selected item", Do = "No results found", Co = "No available options", Ro = {
  trueLabel: "True",
  falseLabel: "False",
  nullLabel: "Not Selected",
  star: "1 star",
  stars: "{star} stars",
  selectAll: "All items selected",
  unselectAll: "All items unselected",
  close: "Close",
  previous: "Previous",
  next: "Next",
  navigation: "Navigation",
  scrollTop: "Scroll Top",
  moveTop: "Move Top",
  moveUp: "Move Up",
  moveDown: "Move Down",
  moveBottom: "Move Bottom",
  moveToTarget: "Move to Target",
  moveToSource: "Move to Source",
  moveAllToTarget: "Move All to Target",
  moveAllToSource: "Move All to Source",
  pageLabel: "{page}",
  firstPageLabel: "First Page",
  lastPageLabel: "Last Page",
  nextPageLabel: "Next Page",
  prevPageLabel: "Previous Page",
  rowsPerPageLabel: "Rows per page",
  jumpToPageDropdownLabel: "Jump to Page Dropdown",
  jumpToPageInputLabel: "Jump to Page Input",
  selectRow: "Row Selected",
  unselectRow: "Row Unselected",
  expandRow: "Row Expanded",
  collapseRow: "Row Collapsed",
  showFilterMenu: "Show Filter Menu",
  hideFilterMenu: "Hide Filter Menu",
  filterOperator: "Filter Operator",
  filterConstraint: "Filter Constraint",
  editRow: "Row Edit",
  saveEdit: "Save Edit",
  cancelEdit: "Cancel Edit",
  listView: "List View",
  gridView: "Grid View",
  slide: "Slide",
  slideNumber: "{slideNumber}",
  zoomImage: "Zoom Image",
  zoomIn: "Zoom In",
  zoomOut: "Zoom Out",
  rotateRight: "Rotate Right",
  rotateLeft: "Rotate Left"
}, Mo = {
  startsWith: Tr,
  contains: vr,
  notContains: Lr,
  endsWith: Or,
  equals: Ir,
  notEquals: br,
  noFilter: Ar,
  lt: yr,
  lte: Sr,
  gt: Pr,
  gte: Dr,
  dateIs: Cr,
  dateIsNot: Rr,
  dateBefore: Mr,
  dateAfter: kr,
  clear: Fr,
  apply: wr,
  matchAll: $r,
  matchAny: Vr,
  addRule: Ur,
  removeRule: xr,
  accept: Wr,
  reject: Hr,
  choose: Gr,
  upload: Yr,
  cancel: Br,
  completed: jr,
  pending: Kr,
  fileSizeTypes: Xr,
  dayNames: qr,
  dayNamesShort: Jr,
  dayNamesMin: Qr,
  monthNames: Zr,
  monthNamesShort: zr,
  chooseYear: eo,
  chooseMonth: to,
  chooseDate: no,
  prevDecade: ao,
  nextDecade: so,
  prevYear: ro,
  nextYear: oo,
  prevMonth: lo,
  nextMonth: co,
  prevHour: io,
  nextHour: uo,
  prevMinute: _o,
  nextMinute: fo,
  prevSecond: mo,
  nextSecond: go,
  am: Eo,
  pm: po,
  today: No,
  weekHeader: ho,
  firstDayOfWeek: To,
  dateFormat: vo,
  weak: Lo,
  medium: Oo,
  strong: Io,
  passwordPrompt: bo,
  emptyFilterMessage: Ao,
  searchMessage: yo,
  selectionMessage: So,
  emptySelectionMessage: Po,
  emptySearchMessage: Do,
  emptyMessage: Co,
  aria: Ro
}, ko = "Начинается с", Fo = "Содержит", wo = "Не содержит", $o = "Заканчивается на", Vo = "Равно", Uo = "Не равно", xo = "Без фильтра", Wo = "Меньше чем", Ho = "Меньше или равно", Go = "Больше чем", Yo = "Больше или равно", Bo = "Дата", jo = "Дата нет", Ko = "Дата раньше", Xo = "Дата будет позже", qo = "Очистить", Jo = "Применить", Qo = "Сопоставить все", Zo = "Сопоставить любой", zo = "Добавить правило", el = "Удалить правило", tl = "Да", nl = "Нет", al = "Выбрать", sl = "Загрузить", rl = "Отмена", ol = "Завершенный", ll = "В ожидании", cl = [], il = [
  "Воскресенье",
  "Понедельник",
  "Вторник",
  "Среда",
  "Четверг",
  "Пятница",
  "Суббота"
], ul = [
  "Солнце",
  "Пн",
  "Вт",
  "Обвенчались",
  "Чт",
  "Пт",
  "Сидел"
], _l = [
  "Су",
  "МО",
  "Ту",
  "Мы",
  "Ч",
  "Пт",
  "Са"
], fl = [
  "Январь",
  "Февраль",
  "Маршировать",
  "Апрель",
  "Может",
  "Июнь",
  "Июль",
  "Август",
  "Сентябрь",
  "Октябрь",
  "Ноябрь",
  "Декабрь"
], ml = [
  "Ян",
  "Февраль",
  "Мар",
  "Апрель",
  "Может",
  "Джун",
  "Июль",
  "Август",
  "Сентябрь",
  "Октябрь",
  "Ноябрь",
  "Декабрь"
], dl = "Выберите год", gl = "Выберите месяц", El = "Выберите дату", pl = "Предыдущее десятилетие", Nl = "Следующее десятилетие", hl = "Предыдущий год", Tl = "В следующем году", vl = "Предыдущий месяц", Ll = "В следующем месяце", Ol = "Предыдущий час", Il = "Следующий час", bl = "Предыдущая минута", Al = "Следующая минута", yl = "Предыдущая секунда", Sl = "Следующая секунда", Pl = "есть", Dl = "после полудня", Cl = "Сегодня", Rl = "Неделя", Ml = 0, kl = "мм/дд/гг", Fl = "Слабый", wl = "Средний", $l = "Сильный", Vl = "Введите пароль", Ul = "Результатов не найдено", xl = "Результатов доступно {0}", Wl = "Выбрано {0} элементов", Hl = "Не выбран элемент", Gl = "Результатов не найдено", Yl = "Нет доступных опций", Bl = {
  trueLabel: "Истина",
  falseLabel: "Ложь",
  nullLabel: "Не выбрано",
  star: "1 звезда",
  stars: "Звезды {star}",
  selectAll: "Выбраны все элементы",
  unselectAll: "Все элементы не выбраны",
  close: "Закрыть",
  previous: "Предыдущий",
  next: "Далее",
  navigaion: "Навигация",
  scrollTop: "Прокрутка вверху",
  moveTop: "Переместить вверх",
  moveUp: "Переместить вверх",
  moveDown: "Переместить вниз",
  moveBottom: "Переместить вниз",
  moveToTarget: "Перейти к цели",
  moveToSource: "Переместить в исходный код",
  moveAllToTarget: "Переместить все в цель",
  moveAllToSource: "Переместить все в исходный код",
  pageLabel: "{page}",
  firstPageLabel: "Первая страница",
  lastPageLabel: "Последняя страница",
  nextPageLabel: "Следующая страница",
  prevPageLabel: "Предыдущая страница",
  rowsPerPageLabel: "Строк на странице",
  jumpToPageDropdownLabel: "Перейти к раскрывающемуся списку страниц",
  jumpToPageInputLabel: "Перейти к вводу страницы",
  selectRow: "Выбранная строка",
  unselectRow: "Строка не выбрана",
  expandRow: "Строка расширена",
  collapseRow: "Строка свернута",
  showFilterMenu: "Показать меню фильтров",
  hideFilterMenu: "Скрыть меню фильтров",
  filterOperator: "Оператор фильтра",
  filterConstraint: "Ограничение фильтра",
  editRow: "Редактировать строку",
  saveEdit: "Сохранить редактирование",
  cancelEdit: "Отменить редактирование",
  listView: "Просмотр списка",
  gridView: "Вид в виде сетки",
  slide: "Слайд",
  slideNumber: "{slideNumber}",
  zoomImage: "Увеличить изображение",
  zoomIn: "Увеличить",
  zoomOut: "Уменьшить",
  rotateRight: "Повернуть вправо",
  rotateLeft: "Повернуть влево"
}, jl = {
  startsWith: ko,
  contains: Fo,
  notContains: wo,
  endsWith: $o,
  equals: Vo,
  notEquals: Uo,
  noFilter: xo,
  lt: Wo,
  lte: Ho,
  gt: Go,
  gte: Yo,
  dateIs: Bo,
  dateIsNot: jo,
  dateBefore: Ko,
  dateAfter: Xo,
  clear: qo,
  apply: Jo,
  matchAll: Qo,
  matchAny: Zo,
  addRule: zo,
  removeRule: el,
  accept: tl,
  reject: nl,
  choose: al,
  upload: sl,
  cancel: rl,
  completed: ol,
  pending: ll,
  fileSizeTypes: cl,
  dayNames: il,
  dayNamesShort: ul,
  dayNamesMin: _l,
  monthNames: fl,
  monthNamesShort: ml,
  chooseYear: dl,
  chooseMonth: gl,
  chooseDate: El,
  prevDecade: pl,
  nextDecade: Nl,
  prevYear: hl,
  nextYear: Tl,
  prevMonth: vl,
  nextMonth: Ll,
  prevHour: Ol,
  nextHour: Il,
  prevMinute: bl,
  nextMinute: Al,
  prevSecond: yl,
  nextSecond: Sl,
  am: Pl,
  pm: Dl,
  today: Cl,
  weekHeader: Rl,
  firstDayOfWeek: Ml,
  dateFormat: kl,
  weak: Fl,
  medium: wl,
  strong: $l,
  passwordPrompt: Vl,
  emptyFilterMessage: Ul,
  searchMessage: xl,
  selectionMessage: Wl,
  emptySelectionMessage: Hl,
  emptySearchMessage: Gl,
  emptyMessage: Yl,
  aria: Bl
};
/*!
  * shared v9.8.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
const ge = typeof window < "u";
let se, Re;
if (process.env.NODE_ENV !== "production") {
  const e = ge && window.performance;
  e && e.mark && e.measure && e.clearMarks && // @ts-ignore browser compat
  e.clearMeasures && (se = (t) => {
    e.mark(t);
  }, Re = (t, n, s) => {
    e.measure(t, n, s), e.clearMarks(n), e.clearMarks(s);
  });
}
const Kl = /\{([0-9a-zA-Z]+)\}/g;
function kt(e, ...t) {
  return t.length === 1 && V(t[0]) && (t = t[0]), (!t || !t.hasOwnProperty) && (t = {}), e.replace(Kl, (n, s) => t.hasOwnProperty(s) ? t[s] : "");
}
const Ee = (e, t = !1) => t ? Symbol.for(e) : Symbol(e), Xl = (e, t, n) => ql({ l: e, k: t, s: n }), ql = (e) => JSON.stringify(e).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029").replace(/\u0027/g, "\\u0027"), K = (e) => typeof e == "number" && isFinite(e), Jl = (e) => Rn(e) === "[object Date]", Oe = (e) => Rn(e) === "[object RegExp]", ft = (e) => M(e) && Object.keys(e).length === 0, z = Object.assign;
let Bt;
const he = () => Bt || (Bt = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : typeof global < "u" ? global : {});
function jt(e) {
  return e.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
}
const Ql = Object.prototype.hasOwnProperty;
function at(e, t) {
  return Ql.call(e, t);
}
const H = Array.isArray, W = (e) => typeof e == "function", O = (e) => typeof e == "string", F = (e) => typeof e == "boolean", V = (e) => e !== null && typeof e == "object", Zl = (e) => V(e) && W(e.then) && W(e.catch), Cn = Object.prototype.toString, Rn = (e) => Cn.call(e), M = (e) => {
  if (!V(e))
    return !1;
  const t = Object.getPrototypeOf(e);
  return t === null || t.constructor === Object;
}, zl = (e) => e == null ? "" : H(e) || M(e) && e.toString === Cn ? JSON.stringify(e, null, 2) : String(e);
function ec(e, t = "") {
  return e.reduce((n, s, r) => r === 0 ? n + s : n + t + s, "");
}
const Kt = 2;
function tc(e, t = 0, n = e.length) {
  const s = e.split(/\r?\n/);
  let r = 0;
  const a = [];
  for (let o = 0; o < s.length; o++)
    if (r += s[o].length + 1, r >= t) {
      for (let c = o - Kt; c <= o + Kt || n > r; c++) {
        if (c < 0 || c >= s.length)
          continue;
        const u = c + 1;
        a.push(`${u}${" ".repeat(3 - String(u).length)}|  ${s[c]}`);
        const m = s[c].length;
        if (c === o) {
          const N = t - (r - m) + 1, T = Math.max(1, n > r ? m - N : n - t);
          a.push("   |  " + " ".repeat(N) + "^".repeat(T));
        } else if (c > o) {
          if (n > r) {
            const N = Math.max(Math.min(n - r, m), 1);
            a.push("   |  " + "^".repeat(N));
          }
          r += m + 1;
        }
      }
      break;
    }
  return a.join(`
`);
}
function Ft(e) {
  let t = e;
  return () => ++t;
}
function Q(e, t) {
  typeof console < "u" && (console.warn("[intlify] " + e), t && console.warn(t.stack));
}
const Xt = {};
function nc(e) {
  Xt[e] || (Xt[e] = !0, Q(e));
}
function wt() {
  const e = /* @__PURE__ */ new Map();
  return {
    events: e,
    on(n, s) {
      const r = e.get(n);
      r && r.push(s) || e.set(n, [s]);
    },
    off(n, s) {
      const r = e.get(n);
      r && r.splice(r.indexOf(s) >>> 0, 1);
    },
    emit(n, s) {
      (e.get(n) || []).slice().map((r) => r(s)), (e.get("*") || []).slice().map((r) => r(n, s));
    }
  };
}
const ut = (e) => !V(e) || H(e);
function tt(e, t) {
  if (ut(e) || ut(t))
    throw new Error("Invalid value");
  for (const n in e)
    at(e, n) && (ut(e[n]) || ut(t[n]) ? t[n] = e[n] : tt(e[n], t[n]));
}
/*!
  * message-compiler v9.8.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
function ac(e, t, n) {
  return { line: e, column: t, offset: n };
}
function vt(e, t, n) {
  const s = { start: e, end: t };
  return n != null && (s.source = n), s;
}
const sc = /\{([0-9a-zA-Z]+)\}/g;
function rc(e, ...t) {
  return t.length === 1 && oc(t[0]) && (t = t[0]), (!t || !t.hasOwnProperty) && (t = {}), e.replace(sc, (n, s) => t.hasOwnProperty(s) ? t[s] : "");
}
const Mn = Object.assign, qt = (e) => typeof e == "string", oc = (e) => e !== null && typeof e == "object";
function kn(e, t = "") {
  return e.reduce((n, s, r) => r === 0 ? n + s : n + t + s, "");
}
const C = {
  // tokenizer error codes
  EXPECTED_TOKEN: 1,
  INVALID_TOKEN_IN_PLACEHOLDER: 2,
  UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER: 3,
  UNKNOWN_ESCAPE_SEQUENCE: 4,
  INVALID_UNICODE_ESCAPE_SEQUENCE: 5,
  UNBALANCED_CLOSING_BRACE: 6,
  UNTERMINATED_CLOSING_BRACE: 7,
  EMPTY_PLACEHOLDER: 8,
  NOT_ALLOW_NEST_PLACEHOLDER: 9,
  INVALID_LINKED_FORMAT: 10,
  // parser error codes
  MUST_HAVE_MESSAGES_IN_PLURAL: 11,
  UNEXPECTED_EMPTY_LINKED_MODIFIER: 12,
  UNEXPECTED_EMPTY_LINKED_KEY: 13,
  UNEXPECTED_LEXICAL_ANALYSIS: 14,
  // generator error codes
  UNHANDLED_CODEGEN_NODE_TYPE: 15,
  // minifier error codes
  UNHANDLED_MINIFIER_NODE_TYPE: 16,
  // Special value for higher-order compilers to pick up the last code
  // to avoid collision of error codes. This should always be kept as the last
  // item.
  __EXTEND_POINT__: 17
}, lc = {
  // tokenizer error messages
  [C.EXPECTED_TOKEN]: "Expected token: '{0}'",
  [C.INVALID_TOKEN_IN_PLACEHOLDER]: "Invalid token in placeholder: '{0}'",
  [C.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER]: "Unterminated single quote in placeholder",
  [C.UNKNOWN_ESCAPE_SEQUENCE]: "Unknown escape sequence: \\{0}",
  [C.INVALID_UNICODE_ESCAPE_SEQUENCE]: "Invalid unicode escape sequence: {0}",
  [C.UNBALANCED_CLOSING_BRACE]: "Unbalanced closing brace",
  [C.UNTERMINATED_CLOSING_BRACE]: "Unterminated closing brace",
  [C.EMPTY_PLACEHOLDER]: "Empty placeholder",
  [C.NOT_ALLOW_NEST_PLACEHOLDER]: "Not allowed nest placeholder",
  [C.INVALID_LINKED_FORMAT]: "Invalid linked format",
  // parser error messages
  [C.MUST_HAVE_MESSAGES_IN_PLURAL]: "Plural must have messages",
  [C.UNEXPECTED_EMPTY_LINKED_MODIFIER]: "Unexpected empty linked modifier",
  [C.UNEXPECTED_EMPTY_LINKED_KEY]: "Unexpected empty linked key",
  [C.UNEXPECTED_LEXICAL_ANALYSIS]: "Unexpected lexical analysis in token: '{0}'",
  // generator error messages
  [C.UNHANDLED_CODEGEN_NODE_TYPE]: "unhandled codegen node type: '{0}'",
  // minimizer error messages
  [C.UNHANDLED_MINIFIER_NODE_TYPE]: "unhandled mimifier node type: '{0}'"
};
function je(e, t, n = {}) {
  const { domain: s, messages: r, args: a } = n, o = rc((r || lc)[e] || "", ...a || []), c = new SyntaxError(String(o));
  return c.code = e, t && (c.location = t), c.domain = s, c;
}
function cc(e) {
  throw e;
}
const ic = /<\/?[\w\s="/.':;#-\/]+>/, uc = (e) => ic.test(e), Ne = " ", _c = "\r", ee = `
`, fc = "\u2028", mc = "\u2029";
function dc(e) {
  const t = e;
  let n = 0, s = 1, r = 1, a = 0;
  const o = (h) => t[h] === _c && t[h + 1] === ee, c = (h) => t[h] === ee, u = (h) => t[h] === mc, m = (h) => t[h] === fc, N = (h) => o(h) || c(h) || u(h) || m(h), T = () => n, E = () => s, I = () => r, D = () => a, P = (h) => o(h) || u(h) || m(h) ? ee : t[h], S = () => P(n), _ = () => P(n + a);
  function d() {
    return a = 0, N(n) && (s++, r = 0), o(n) && n++, n++, r++, t[n];
  }
  function v() {
    return o(n + a) && a++, a++, t[n + a];
  }
  function p() {
    n = 0, s = 1, r = 1, a = 0;
  }
  function A(h = 0) {
    a = h;
  }
  function b() {
    const h = n + a;
    for (; h !== n; )
      d();
    a = 0;
  }
  return {
    index: T,
    line: E,
    column: I,
    peekOffset: D,
    charAt: P,
    currentChar: S,
    currentPeek: _,
    next: d,
    peek: v,
    reset: p,
    resetPeek: A,
    skipToPeek: b
  };
}
const ve = void 0, gc = ".", Jt = "'", Ec = "tokenizer";
function pc(e, t = {}) {
  const n = t.location !== !1, s = dc(e), r = () => s.index(), a = () => ac(s.line(), s.column(), s.index()), o = a(), c = r(), u = {
    currentType: 14,
    offset: c,
    startLoc: o,
    endLoc: o,
    lastType: 14,
    lastOffset: c,
    lastStartLoc: o,
    lastEndLoc: o,
    braceNest: 0,
    inLinked: !1,
    text: ""
  }, m = () => u, { onError: N } = t;
  function T(i, l, f, ...y) {
    const R = m();
    if (l.column += f, l.offset += f, N) {
      const U = n ? vt(R.startLoc, l) : null, ue = je(i, U, {
        domain: Ec,
        args: y
      });
      N(ue);
    }
  }
  function E(i, l, f) {
    i.endLoc = a(), i.currentType = l;
    const y = { type: l };
    return n && (y.loc = vt(i.startLoc, i.endLoc)), f != null && (y.value = f), y;
  }
  const I = (i) => E(
    i,
    14
    /* TokenTypes.EOF */
  );
  function D(i, l) {
    return i.currentChar() === l ? (i.next(), l) : (T(C.EXPECTED_TOKEN, a(), 0, l), "");
  }
  function P(i) {
    let l = "";
    for (; i.currentPeek() === Ne || i.currentPeek() === ee; )
      l += i.currentPeek(), i.peek();
    return l;
  }
  function S(i) {
    const l = P(i);
    return i.skipToPeek(), l;
  }
  function _(i) {
    if (i === ve)
      return !1;
    const l = i.charCodeAt(0);
    return l >= 97 && l <= 122 || // a-z
    l >= 65 && l <= 90 || // A-Z
    l === 95;
  }
  function d(i) {
    if (i === ve)
      return !1;
    const l = i.charCodeAt(0);
    return l >= 48 && l <= 57;
  }
  function v(i, l) {
    const { currentType: f } = l;
    if (f !== 2)
      return !1;
    P(i);
    const y = _(i.currentPeek());
    return i.resetPeek(), y;
  }
  function p(i, l) {
    const { currentType: f } = l;
    if (f !== 2)
      return !1;
    P(i);
    const y = i.currentPeek() === "-" ? i.peek() : i.currentPeek(), R = d(y);
    return i.resetPeek(), R;
  }
  function A(i, l) {
    const { currentType: f } = l;
    if (f !== 2)
      return !1;
    P(i);
    const y = i.currentPeek() === Jt;
    return i.resetPeek(), y;
  }
  function b(i, l) {
    const { currentType: f } = l;
    if (f !== 8)
      return !1;
    P(i);
    const y = i.currentPeek() === ".";
    return i.resetPeek(), y;
  }
  function h(i, l) {
    const { currentType: f } = l;
    if (f !== 9)
      return !1;
    P(i);
    const y = _(i.currentPeek());
    return i.resetPeek(), y;
  }
  function k(i, l) {
    const { currentType: f } = l;
    if (!(f === 8 || f === 12))
      return !1;
    P(i);
    const y = i.currentPeek() === ":";
    return i.resetPeek(), y;
  }
  function $(i, l) {
    const { currentType: f } = l;
    if (f !== 10)
      return !1;
    const y = () => {
      const U = i.currentPeek();
      return U === "{" ? _(i.peek()) : U === "@" || U === "%" || U === "|" || U === ":" || U === "." || U === Ne || !U ? !1 : U === ee ? (i.peek(), y()) : _(U);
    }, R = y();
    return i.resetPeek(), R;
  }
  function Y(i) {
    P(i);
    const l = i.currentPeek() === "|";
    return i.resetPeek(), l;
  }
  function le(i) {
    const l = P(i), f = i.currentPeek() === "%" && i.peek() === "{";
    return i.resetPeek(), {
      isModulo: f,
      hasSpace: l.length > 0
    };
  }
  function q(i, l = !0) {
    const f = (R = !1, U = "", ue = !1) => {
      const pe = i.currentPeek();
      return pe === "{" ? U === "%" ? !1 : R : pe === "@" || !pe ? U === "%" ? !0 : R : pe === "%" ? (i.peek(), f(R, "%", !0)) : pe === "|" ? U === "%" || ue ? !0 : !(U === Ne || U === ee) : pe === Ne ? (i.peek(), f(!0, Ne, ue)) : pe === ee ? (i.peek(), f(!0, ee, ue)) : !0;
    }, y = f();
    return l && i.resetPeek(), y;
  }
  function re(i, l) {
    const f = i.currentChar();
    return f === ve ? ve : l(f) ? (i.next(), f) : null;
  }
  function Fe(i) {
    return re(i, (f) => {
      const y = f.charCodeAt(0);
      return y >= 97 && y <= 122 || // a-z
      y >= 65 && y <= 90 || // A-Z
      y >= 48 && y <= 57 || // 0-9
      y === 95 || // _
      y === 36;
    });
  }
  function Ke(i) {
    return re(i, (f) => {
      const y = f.charCodeAt(0);
      return y >= 48 && y <= 57;
    });
  }
  function ie(i) {
    return re(i, (f) => {
      const y = f.charCodeAt(0);
      return y >= 48 && y <= 57 || // 0-9
      y >= 65 && y <= 70 || // A-F
      y >= 97 && y <= 102;
    });
  }
  function we(i) {
    let l = "", f = "";
    for (; l = Ke(i); )
      f += l;
    return f;
  }
  function Xe(i) {
    S(i);
    const l = i.currentChar();
    return l !== "%" && T(C.EXPECTED_TOKEN, a(), 0, l), i.next(), "%";
  }
  function $e(i) {
    let l = "";
    for (; ; ) {
      const f = i.currentChar();
      if (f === "{" || f === "}" || f === "@" || f === "|" || !f)
        break;
      if (f === "%")
        if (q(i))
          l += f, i.next();
        else
          break;
      else if (f === Ne || f === ee)
        if (q(i))
          l += f, i.next();
        else {
          if (Y(i))
            break;
          l += f, i.next();
        }
      else
        l += f, i.next();
    }
    return l;
  }
  function ce(i) {
    S(i);
    let l = "", f = "";
    for (; l = Fe(i); )
      f += l;
    return i.currentChar() === ve && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), f;
  }
  function Ve(i) {
    S(i);
    let l = "";
    return i.currentChar() === "-" ? (i.next(), l += `-${we(i)}`) : l += we(i), i.currentChar() === ve && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), l;
  }
  function qe(i) {
    S(i), D(i, "'");
    let l = "", f = "";
    const y = (U) => U !== Jt && U !== ee;
    for (; l = re(i, y); )
      l === "\\" ? f += Je(i) : f += l;
    const R = i.currentChar();
    return R === ee || R === ve ? (T(C.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER, a(), 0), R === ee && (i.next(), D(i, "'")), f) : (D(i, "'"), f);
  }
  function Je(i) {
    const l = i.currentChar();
    switch (l) {
      case "\\":
      case "'":
        return i.next(), `\\${l}`;
      case "u":
        return Ue(i, l, 4);
      case "U":
        return Ue(i, l, 6);
      default:
        return T(C.UNKNOWN_ESCAPE_SEQUENCE, a(), 0, l), "";
    }
  }
  function Ue(i, l, f) {
    D(i, l);
    let y = "";
    for (let R = 0; R < f; R++) {
      const U = ie(i);
      if (!U) {
        T(C.INVALID_UNICODE_ESCAPE_SEQUENCE, a(), 0, `\\${l}${y}${i.currentChar()}`);
        break;
      }
      y += U;
    }
    return `\\${l}${y}`;
  }
  function Qe(i) {
    S(i);
    let l = "", f = "";
    const y = (R) => R !== "{" && R !== "}" && R !== Ne && R !== ee;
    for (; l = re(i, y); )
      f += l;
    return f;
  }
  function ct(i) {
    let l = "", f = "";
    for (; l = Fe(i); )
      f += l;
    return f;
  }
  function Ze(i) {
    const l = (f = !1, y) => {
      const R = i.currentChar();
      return R === "{" || R === "%" || R === "@" || R === "|" || R === "(" || R === ")" || !R || R === Ne ? y : R === ee || R === gc ? (y += R, i.next(), l(f, y)) : (y += R, i.next(), l(!0, y));
    };
    return l(!1, "");
  }
  function Ae(i) {
    S(i);
    const l = D(
      i,
      "|"
      /* TokenChars.Pipe */
    );
    return S(i), l;
  }
  function ye(i, l) {
    let f = null;
    switch (i.currentChar()) {
      case "{":
        return l.braceNest >= 1 && T(C.NOT_ALLOW_NEST_PLACEHOLDER, a(), 0), i.next(), f = E(
          l,
          2,
          "{"
          /* TokenChars.BraceLeft */
        ), S(i), l.braceNest++, f;
      case "}":
        return l.braceNest > 0 && l.currentType === 2 && T(C.EMPTY_PLACEHOLDER, a(), 0), i.next(), f = E(
          l,
          3,
          "}"
          /* TokenChars.BraceRight */
        ), l.braceNest--, l.braceNest > 0 && S(i), l.inLinked && l.braceNest === 0 && (l.inLinked = !1), f;
      case "@":
        return l.braceNest > 0 && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), f = Te(i, l) || I(l), l.braceNest = 0, f;
      default:
        let R = !0, U = !0, ue = !0;
        if (Y(i))
          return l.braceNest > 0 && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), f = E(l, 1, Ae(i)), l.braceNest = 0, l.inLinked = !1, f;
        if (l.braceNest > 0 && (l.currentType === 5 || l.currentType === 6 || l.currentType === 7))
          return T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), l.braceNest = 0, Se(i, l);
        if (R = v(i, l))
          return f = E(l, 5, ce(i)), S(i), f;
        if (U = p(i, l))
          return f = E(l, 6, Ve(i)), S(i), f;
        if (ue = A(i, l))
          return f = E(l, 7, qe(i)), S(i), f;
        if (!R && !U && !ue)
          return f = E(l, 13, Qe(i)), T(C.INVALID_TOKEN_IN_PLACEHOLDER, a(), 0, f.value), S(i), f;
        break;
    }
    return f;
  }
  function Te(i, l) {
    const { currentType: f } = l;
    let y = null;
    const R = i.currentChar();
    switch ((f === 8 || f === 9 || f === 12 || f === 10) && (R === ee || R === Ne) && T(C.INVALID_LINKED_FORMAT, a(), 0), R) {
      case "@":
        return i.next(), y = E(
          l,
          8,
          "@"
          /* TokenChars.LinkedAlias */
        ), l.inLinked = !0, y;
      case ".":
        return S(i), i.next(), E(
          l,
          9,
          "."
          /* TokenChars.LinkedDot */
        );
      case ":":
        return S(i), i.next(), E(
          l,
          10,
          ":"
          /* TokenChars.LinkedDelimiter */
        );
      default:
        return Y(i) ? (y = E(l, 1, Ae(i)), l.braceNest = 0, l.inLinked = !1, y) : b(i, l) || k(i, l) ? (S(i), Te(i, l)) : h(i, l) ? (S(i), E(l, 12, ct(i))) : $(i, l) ? (S(i), R === "{" ? ye(i, l) || y : E(l, 11, Ze(i))) : (f === 8 && T(C.INVALID_LINKED_FORMAT, a(), 0), l.braceNest = 0, l.inLinked = !1, Se(i, l));
    }
  }
  function Se(i, l) {
    let f = {
      type: 14
      /* TokenTypes.EOF */
    };
    if (l.braceNest > 0)
      return ye(i, l) || I(l);
    if (l.inLinked)
      return Te(i, l) || I(l);
    switch (i.currentChar()) {
      case "{":
        return ye(i, l) || I(l);
      case "}":
        return T(C.UNBALANCED_CLOSING_BRACE, a(), 0), i.next(), E(
          l,
          3,
          "}"
          /* TokenChars.BraceRight */
        );
      case "@":
        return Te(i, l) || I(l);
      default:
        if (Y(i))
          return f = E(l, 1, Ae(i)), l.braceNest = 0, l.inLinked = !1, f;
        const { isModulo: R, hasSpace: U } = le(i);
        if (R)
          return U ? E(l, 0, $e(i)) : E(l, 4, Xe(i));
        if (q(i))
          return E(l, 0, $e(i));
        break;
    }
    return f;
  }
  function ze() {
    const { currentType: i, offset: l, startLoc: f, endLoc: y } = u;
    return u.lastType = i, u.lastOffset = l, u.lastStartLoc = f, u.lastEndLoc = y, u.offset = r(), u.startLoc = a(), s.currentChar() === ve ? E(
      u,
      14
      /* TokenTypes.EOF */
    ) : Se(s, u);
  }
  return {
    nextToken: ze,
    currentOffset: r,
    currentPosition: a,
    context: m
  };
}
const Nc = "parser", hc = /(?:\\\\|\\'|\\u([0-9a-fA-F]{4})|\\U([0-9a-fA-F]{6}))/g;
function Tc(e, t, n) {
  switch (e) {
    case "\\\\":
      return "\\";
    case "\\'":
      return "'";
    default: {
      const s = parseInt(t || n, 16);
      return s <= 55295 || s >= 57344 ? String.fromCodePoint(s) : "�";
    }
  }
}
function vc(e = {}) {
  const t = e.location !== !1, { onError: n } = e;
  function s(_, d, v, p, ...A) {
    const b = _.currentPosition();
    if (b.offset += p, b.column += p, n) {
      const h = t ? vt(v, b) : null, k = je(d, h, {
        domain: Nc,
        args: A
      });
      n(k);
    }
  }
  function r(_, d, v) {
    const p = { type: _ };
    return t && (p.start = d, p.end = d, p.loc = { start: v, end: v }), p;
  }
  function a(_, d, v, p) {
    p && (_.type = p), t && (_.end = d, _.loc && (_.loc.end = v));
  }
  function o(_, d) {
    const v = _.context(), p = r(3, v.offset, v.startLoc);
    return p.value = d, a(p, _.currentOffset(), _.currentPosition()), p;
  }
  function c(_, d) {
    const v = _.context(), { lastOffset: p, lastStartLoc: A } = v, b = r(5, p, A);
    return b.index = parseInt(d, 10), _.nextToken(), a(b, _.currentOffset(), _.currentPosition()), b;
  }
  function u(_, d) {
    const v = _.context(), { lastOffset: p, lastStartLoc: A } = v, b = r(4, p, A);
    return b.key = d, _.nextToken(), a(b, _.currentOffset(), _.currentPosition()), b;
  }
  function m(_, d) {
    const v = _.context(), { lastOffset: p, lastStartLoc: A } = v, b = r(9, p, A);
    return b.value = d.replace(hc, Tc), _.nextToken(), a(b, _.currentOffset(), _.currentPosition()), b;
  }
  function N(_) {
    const d = _.nextToken(), v = _.context(), { lastOffset: p, lastStartLoc: A } = v, b = r(8, p, A);
    return d.type !== 12 ? (s(_, C.UNEXPECTED_EMPTY_LINKED_MODIFIER, v.lastStartLoc, 0), b.value = "", a(b, p, A), {
      nextConsumeToken: d,
      node: b
    }) : (d.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, v.lastStartLoc, 0, _e(d)), b.value = d.value || "", a(b, _.currentOffset(), _.currentPosition()), {
      node: b
    });
  }
  function T(_, d) {
    const v = _.context(), p = r(7, v.offset, v.startLoc);
    return p.value = d, a(p, _.currentOffset(), _.currentPosition()), p;
  }
  function E(_) {
    const d = _.context(), v = r(6, d.offset, d.startLoc);
    let p = _.nextToken();
    if (p.type === 9) {
      const A = N(_);
      v.modifier = A.node, p = A.nextConsumeToken || _.nextToken();
    }
    switch (p.type !== 10 && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e(p)), p = _.nextToken(), p.type === 2 && (p = _.nextToken()), p.type) {
      case 11:
        p.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e(p)), v.key = T(_, p.value || "");
        break;
      case 5:
        p.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e(p)), v.key = u(_, p.value || "");
        break;
      case 6:
        p.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e(p)), v.key = c(_, p.value || "");
        break;
      case 7:
        p.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e(p)), v.key = m(_, p.value || "");
        break;
      default:
        s(_, C.UNEXPECTED_EMPTY_LINKED_KEY, d.lastStartLoc, 0);
        const A = _.context(), b = r(7, A.offset, A.startLoc);
        return b.value = "", a(b, A.offset, A.startLoc), v.key = b, a(v, A.offset, A.startLoc), {
          nextConsumeToken: p,
          node: v
        };
    }
    return a(v, _.currentOffset(), _.currentPosition()), {
      node: v
    };
  }
  function I(_) {
    const d = _.context(), v = d.currentType === 1 ? _.currentOffset() : d.offset, p = d.currentType === 1 ? d.endLoc : d.startLoc, A = r(2, v, p);
    A.items = [];
    let b = null;
    do {
      const $ = b || _.nextToken();
      switch (b = null, $.type) {
        case 0:
          $.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e($)), A.items.push(o(_, $.value || ""));
          break;
        case 6:
          $.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e($)), A.items.push(c(_, $.value || ""));
          break;
        case 5:
          $.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e($)), A.items.push(u(_, $.value || ""));
          break;
        case 7:
          $.value == null && s(_, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, _e($)), A.items.push(m(_, $.value || ""));
          break;
        case 8:
          const Y = E(_);
          A.items.push(Y.node), b = Y.nextConsumeToken || null;
          break;
      }
    } while (d.currentType !== 14 && d.currentType !== 1);
    const h = d.currentType === 1 ? d.lastOffset : _.currentOffset(), k = d.currentType === 1 ? d.lastEndLoc : _.currentPosition();
    return a(A, h, k), A;
  }
  function D(_, d, v, p) {
    const A = _.context();
    let b = p.items.length === 0;
    const h = r(1, d, v);
    h.cases = [], h.cases.push(p);
    do {
      const k = I(_);
      b || (b = k.items.length === 0), h.cases.push(k);
    } while (A.currentType !== 14);
    return b && s(_, C.MUST_HAVE_MESSAGES_IN_PLURAL, v, 0), a(h, _.currentOffset(), _.currentPosition()), h;
  }
  function P(_) {
    const d = _.context(), { offset: v, startLoc: p } = d, A = I(_);
    return d.currentType === 14 ? A : D(_, v, p, A);
  }
  function S(_) {
    const d = pc(_, Mn({}, e)), v = d.context(), p = r(0, v.offset, v.startLoc);
    return t && p.loc && (p.loc.source = _), p.body = P(d), e.onCacheKey && (p.cacheKey = e.onCacheKey(_)), v.currentType !== 14 && s(d, C.UNEXPECTED_LEXICAL_ANALYSIS, v.lastStartLoc, 0, _[v.offset] || ""), a(p, d.currentOffset(), d.currentPosition()), p;
  }
  return { parse: S };
}
function _e(e) {
  if (e.type === 14)
    return "EOF";
  const t = (e.value || "").replace(/\r?\n/gu, "\\n");
  return t.length > 10 ? t.slice(0, 9) + "…" : t;
}
function Lc(e, t = {}) {
  const n = {
    ast: e,
    helpers: /* @__PURE__ */ new Set()
  };
  return { context: () => n, helper: (a) => (n.helpers.add(a), a) };
}
function Qt(e, t) {
  for (let n = 0; n < e.length; n++)
    $t(e[n], t);
}
function $t(e, t) {
  switch (e.type) {
    case 1:
      Qt(e.cases, t), t.helper(
        "plural"
        /* HelperNameMap.PLURAL */
      );
      break;
    case 2:
      Qt(e.items, t);
      break;
    case 6:
      $t(e.key, t), t.helper(
        "linked"
        /* HelperNameMap.LINKED */
      ), t.helper(
        "type"
        /* HelperNameMap.TYPE */
      );
      break;
    case 5:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "list"
        /* HelperNameMap.LIST */
      );
      break;
    case 4:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "named"
        /* HelperNameMap.NAMED */
      );
      break;
  }
}
function Oc(e, t = {}) {
  const n = Lc(e);
  n.helper(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  ), e.body && $t(e.body, n);
  const s = n.context();
  e.helpers = Array.from(s.helpers);
}
function Ic(e) {
  const t = e.body;
  return t.type === 2 ? Zt(t) : t.cases.forEach((n) => Zt(n)), e;
}
function Zt(e) {
  if (e.items.length === 1) {
    const t = e.items[0];
    (t.type === 3 || t.type === 9) && (e.static = t.value, delete t.value);
  } else {
    const t = [];
    for (let n = 0; n < e.items.length; n++) {
      const s = e.items[n];
      if (!(s.type === 3 || s.type === 9) || s.value == null)
        break;
      t.push(s.value);
    }
    if (t.length === e.items.length) {
      e.static = kn(t);
      for (let n = 0; n < e.items.length; n++) {
        const s = e.items[n];
        (s.type === 3 || s.type === 9) && delete s.value;
      }
    }
  }
}
const bc = "minifier";
function He(e) {
  switch (e.t = e.type, e.type) {
    case 0:
      const t = e;
      He(t.body), t.b = t.body, delete t.body;
      break;
    case 1:
      const n = e, s = n.cases;
      for (let N = 0; N < s.length; N++)
        He(s[N]);
      n.c = s, delete n.cases;
      break;
    case 2:
      const r = e, a = r.items;
      for (let N = 0; N < a.length; N++)
        He(a[N]);
      r.i = a, delete r.items, r.static && (r.s = r.static, delete r.static);
      break;
    case 3:
    case 9:
    case 8:
    case 7:
      const o = e;
      o.value && (o.v = o.value, delete o.value);
      break;
    case 6:
      const c = e;
      He(c.key), c.k = c.key, delete c.key, c.modifier && (He(c.modifier), c.m = c.modifier, delete c.modifier);
      break;
    case 5:
      const u = e;
      u.i = u.index, delete u.index;
      break;
    case 4:
      const m = e;
      m.k = m.key, delete m.key;
      break;
    default:
      throw je(C.UNHANDLED_MINIFIER_NODE_TYPE, null, {
        domain: bc,
        args: [e.type]
      });
  }
  delete e.type;
}
const Ac = "parser";
function yc(e, t) {
  const { sourceMap: n, filename: s, breakLineCode: r, needIndent: a } = t, o = t.location !== !1, c = {
    filename: s,
    code: "",
    column: 1,
    line: 1,
    offset: 0,
    map: void 0,
    breakLineCode: r,
    needIndent: a,
    indentLevel: 0
  };
  o && e.loc && (c.source = e.loc.source);
  const u = () => c;
  function m(S, _) {
    c.code += S;
  }
  function N(S, _ = !0) {
    const d = _ ? r : "";
    m(a ? d + "  ".repeat(S) : d);
  }
  function T(S = !0) {
    const _ = ++c.indentLevel;
    S && N(_);
  }
  function E(S = !0) {
    const _ = --c.indentLevel;
    S && N(_);
  }
  function I() {
    N(c.indentLevel);
  }
  return {
    context: u,
    push: m,
    indent: T,
    deindent: E,
    newline: I,
    helper: (S) => `_${S}`,
    needIndent: () => c.needIndent
  };
}
function Sc(e, t) {
  const { helper: n } = e;
  e.push(`${n(
    "linked"
    /* HelperNameMap.LINKED */
  )}(`), Ye(e, t.key), t.modifier ? (e.push(", "), Ye(e, t.modifier), e.push(", _type")) : e.push(", undefined, _type"), e.push(")");
}
function Pc(e, t) {
  const { helper: n, needIndent: s } = e;
  e.push(`${n(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  )}([`), e.indent(s());
  const r = t.items.length;
  for (let a = 0; a < r && (Ye(e, t.items[a]), a !== r - 1); a++)
    e.push(", ");
  e.deindent(s()), e.push("])");
}
function Dc(e, t) {
  const { helper: n, needIndent: s } = e;
  if (t.cases.length > 1) {
    e.push(`${n(
      "plural"
      /* HelperNameMap.PLURAL */
    )}([`), e.indent(s());
    const r = t.cases.length;
    for (let a = 0; a < r && (Ye(e, t.cases[a]), a !== r - 1); a++)
      e.push(", ");
    e.deindent(s()), e.push("])");
  }
}
function Cc(e, t) {
  t.body ? Ye(e, t.body) : e.push("null");
}
function Ye(e, t) {
  const { helper: n } = e;
  switch (t.type) {
    case 0:
      Cc(e, t);
      break;
    case 1:
      Dc(e, t);
      break;
    case 2:
      Pc(e, t);
      break;
    case 6:
      Sc(e, t);
      break;
    case 8:
      e.push(JSON.stringify(t.value), t);
      break;
    case 7:
      e.push(JSON.stringify(t.value), t);
      break;
    case 5:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "list"
        /* HelperNameMap.LIST */
      )}(${t.index}))`, t);
      break;
    case 4:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "named"
        /* HelperNameMap.NAMED */
      )}(${JSON.stringify(t.key)}))`, t);
      break;
    case 9:
      e.push(JSON.stringify(t.value), t);
      break;
    case 3:
      e.push(JSON.stringify(t.value), t);
      break;
    default:
      throw je(C.UNHANDLED_CODEGEN_NODE_TYPE, null, {
        domain: Ac,
        args: [t.type]
      });
  }
}
const Rc = (e, t = {}) => {
  const n = qt(t.mode) ? t.mode : "normal", s = qt(t.filename) ? t.filename : "message.intl", r = !!t.sourceMap, a = t.breakLineCode != null ? t.breakLineCode : n === "arrow" ? ";" : `
`, o = t.needIndent ? t.needIndent : n !== "arrow", c = e.helpers || [], u = yc(e, {
    mode: n,
    filename: s,
    sourceMap: r,
    breakLineCode: a,
    needIndent: o
  });
  u.push(n === "normal" ? "function __msg__ (ctx) {" : "(ctx) => {"), u.indent(o), c.length > 0 && (u.push(`const { ${kn(c.map((T) => `${T}: _${T}`), ", ")} } = ctx`), u.newline()), u.push("return "), Ye(u, e), u.deindent(o), u.push("}"), delete e.helpers;
  const { code: m, map: N } = u.context();
  return {
    ast: e,
    code: m,
    map: N ? N.toJSON() : void 0
    // eslint-disable-line @typescript-eslint/no-explicit-any
  };
};
function Mc(e, t = {}) {
  const n = Mn({}, t), s = !!n.jit, r = !!n.minify, a = n.optimize == null ? !0 : n.optimize, c = vc(n).parse(e);
  return s ? (a && Ic(c), r && He(c), { ast: c, code: "" }) : (Oc(c, n), Rc(c, n));
}
/*!
  * core-base v9.8.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
function kc() {
  typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (he().__INTLIFY_PROD_DEVTOOLS__ = !1), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (he().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (he().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1);
}
const be = [];
be[
  0
  /* States.BEFORE_PATH */
] = {
  w: [
    0
    /* States.BEFORE_PATH */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
be[
  1
  /* States.IN_PATH */
] = {
  w: [
    1
    /* States.IN_PATH */
  ],
  ".": [
    2
    /* States.BEFORE_IDENT */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
be[
  2
  /* States.BEFORE_IDENT */
] = {
  w: [
    2
    /* States.BEFORE_IDENT */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ]
};
be[
  3
  /* States.IN_IDENT */
] = {
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ],
  w: [
    1,
    1
    /* Actions.PUSH */
  ],
  ".": [
    2,
    1
    /* Actions.PUSH */
  ],
  "[": [
    4,
    1
    /* Actions.PUSH */
  ],
  o: [
    7,
    1
    /* Actions.PUSH */
  ]
};
be[
  4
  /* States.IN_SUB_PATH */
] = {
  "'": [
    5,
    0
    /* Actions.APPEND */
  ],
  '"': [
    6,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4,
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ],
  "]": [
    1,
    3
    /* Actions.PUSH_SUB_PATH */
  ],
  o: 8,
  l: [
    4,
    0
    /* Actions.APPEND */
  ]
};
be[
  5
  /* States.IN_SINGLE_QUOTE */
] = {
  "'": [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    5,
    0
    /* Actions.APPEND */
  ]
};
be[
  6
  /* States.IN_DOUBLE_QUOTE */
] = {
  '"': [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    6,
    0
    /* Actions.APPEND */
  ]
};
const Fc = /^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;
function wc(e) {
  return Fc.test(e);
}
function $c(e) {
  const t = e.charCodeAt(0), n = e.charCodeAt(e.length - 1);
  return t === n && (t === 34 || t === 39) ? e.slice(1, -1) : e;
}
function Vc(e) {
  if (e == null)
    return "o";
  switch (e.charCodeAt(0)) {
    case 91:
    case 93:
    case 46:
    case 34:
    case 39:
      return e;
    case 95:
    case 36:
    case 45:
      return "i";
    case 9:
    case 10:
    case 13:
    case 160:
    case 65279:
    case 8232:
    case 8233:
      return "w";
  }
  return "i";
}
function Uc(e) {
  const t = e.trim();
  return e.charAt(0) === "0" && isNaN(parseInt(e)) ? !1 : wc(t) ? $c(t) : "*" + t;
}
function xc(e) {
  const t = [];
  let n = -1, s = 0, r = 0, a, o, c, u, m, N, T;
  const E = [];
  E[
    0
    /* Actions.APPEND */
  ] = () => {
    o === void 0 ? o = c : o += c;
  }, E[
    1
    /* Actions.PUSH */
  ] = () => {
    o !== void 0 && (t.push(o), o = void 0);
  }, E[
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ] = () => {
    E[
      0
      /* Actions.APPEND */
    ](), r++;
  }, E[
    3
    /* Actions.PUSH_SUB_PATH */
  ] = () => {
    if (r > 0)
      r--, s = 4, E[
        0
        /* Actions.APPEND */
      ]();
    else {
      if (r = 0, o === void 0 || (o = Uc(o), o === !1))
        return !1;
      E[
        1
        /* Actions.PUSH */
      ]();
    }
  };
  function I() {
    const D = e[n + 1];
    if (s === 5 && D === "'" || s === 6 && D === '"')
      return n++, c = "\\" + D, E[
        0
        /* Actions.APPEND */
      ](), !0;
  }
  for (; s !== null; )
    if (n++, a = e[n], !(a === "\\" && I())) {
      if (u = Vc(a), T = be[s], m = T[u] || T.l || 8, m === 8 || (s = m[0], m[1] !== void 0 && (N = E[m[1]], N && (c = a, N() === !1))))
        return;
      if (s === 7)
        return t;
    }
}
const zt = /* @__PURE__ */ new Map();
function Wc(e, t) {
  return V(e) ? e[t] : null;
}
function Hc(e, t) {
  if (!V(e))
    return null;
  let n = zt.get(t);
  if (n || (n = xc(t), n && zt.set(t, n)), !n)
    return null;
  const s = n.length;
  let r = e, a = 0;
  for (; a < s; ) {
    const o = r[n[a]];
    if (o === void 0 || W(r))
      return null;
    r = o, a++;
  }
  return r;
}
const Gc = (e) => e, Yc = (e) => "", Bc = "text", jc = (e) => e.length === 0 ? "" : ec(e), Kc = zl;
function en(e, t) {
  return e = Math.abs(e), t === 2 ? e ? e > 1 ? 1 : 0 : 1 : e ? Math.min(e, 2) : 0;
}
function Xc(e) {
  const t = K(e.pluralIndex) ? e.pluralIndex : -1;
  return e.named && (K(e.named.count) || K(e.named.n)) ? K(e.named.count) ? e.named.count : K(e.named.n) ? e.named.n : t : t;
}
function qc(e, t) {
  t.count || (t.count = e), t.n || (t.n = e);
}
function Jc(e = {}) {
  const t = e.locale, n = Xc(e), s = V(e.pluralRules) && O(t) && W(e.pluralRules[t]) ? e.pluralRules[t] : en, r = V(e.pluralRules) && O(t) && W(e.pluralRules[t]) ? en : void 0, a = (_) => _[s(n, _.length, r)], o = e.list || [], c = (_) => o[_], u = e.named || {};
  K(e.pluralIndex) && qc(n, u);
  const m = (_) => u[_];
  function N(_) {
    const d = W(e.messages) ? e.messages(_) : V(e.messages) ? e.messages[_] : !1;
    return d || (e.parent ? e.parent.message(_) : Yc);
  }
  const T = (_) => e.modifiers ? e.modifiers[_] : Gc, E = M(e.processor) && W(e.processor.normalize) ? e.processor.normalize : jc, I = M(e.processor) && W(e.processor.interpolate) ? e.processor.interpolate : Kc, D = M(e.processor) && O(e.processor.type) ? e.processor.type : Bc, S = {
    list: c,
    named: m,
    plural: a,
    linked: (_, ...d) => {
      const [v, p] = d;
      let A = "text", b = "";
      d.length === 1 ? V(v) ? (b = v.modifier || b, A = v.type || A) : O(v) && (b = v || b) : d.length === 2 && (O(v) && (b = v || b), O(p) && (A = p || A));
      const h = N(_)(S), k = (
        // The message in vnode resolved with linked are returned as an array by processor.nomalize
        A === "vnode" && H(h) && b ? h[0] : h
      );
      return b ? T(b)(k, A) : k;
    },
    message: N,
    type: D,
    interpolate: I,
    normalize: E,
    values: z({}, o, u)
  };
  return S;
}
let st = null;
function Qc(e) {
  st = e;
}
function Zc(e, t, n) {
  st && st.emit("i18n:init", {
    timestamp: Date.now(),
    i18n: e,
    version: t,
    meta: n
  });
}
const zc = /* @__PURE__ */ ei(
  "function:translate"
  /* IntlifyDevToolsHooks.FunctionTranslate */
);
function ei(e) {
  return (t) => st && st.emit(e, t);
}
const te = {
  NOT_FOUND_KEY: 1,
  FALLBACK_TO_TRANSLATE: 2,
  CANNOT_FORMAT_NUMBER: 3,
  FALLBACK_TO_NUMBER_FORMAT: 4,
  CANNOT_FORMAT_DATE: 5,
  FALLBACK_TO_DATE_FORMAT: 6,
  EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER: 7,
  __EXTEND_POINT__: 8
}, ti = {
  [te.NOT_FOUND_KEY]: "Not found '{key}' key in '{locale}' locale messages.",
  [te.FALLBACK_TO_TRANSLATE]: "Fall back to translate '{key}' key with '{target}' locale.",
  [te.CANNOT_FORMAT_NUMBER]: "Cannot format a number value due to not supported Intl.NumberFormat.",
  [te.FALLBACK_TO_NUMBER_FORMAT]: "Fall back to number format '{key}' key with '{target}' locale.",
  [te.CANNOT_FORMAT_DATE]: "Cannot format a date value due to not supported Intl.DateTimeFormat.",
  [te.FALLBACK_TO_DATE_FORMAT]: "Fall back to datetime format '{key}' key with '{target}' locale.",
  [te.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER]: "This project is using Custom Message Compiler, which is an experimental feature. It may receive breaking changes or be removed in the future."
};
function Me(e, ...t) {
  return kt(ti[e], ...t);
}
const Fn = C.__EXTEND_POINT__, Ce = Ft(Fn), J = {
  INVALID_ARGUMENT: Fn,
  INVALID_DATE_ARGUMENT: Ce(),
  INVALID_ISO_DATE_ARGUMENT: Ce(),
  NOT_SUPPORT_NON_STRING_MESSAGE: Ce(),
  NOT_SUPPORT_LOCALE_PROMISE_VALUE: Ce(),
  NOT_SUPPORT_LOCALE_ASYNC_FUNCTION: Ce(),
  NOT_SUPPORT_LOCALE_TYPE: Ce(),
  __EXTEND_POINT__: Ce()
  // 25
};
function de(e) {
  return je(e, null, process.env.NODE_ENV !== "production" ? { messages: ni } : void 0);
}
const ni = {
  [J.INVALID_ARGUMENT]: "Invalid arguments",
  [J.INVALID_DATE_ARGUMENT]: "The date provided is an invalid Date object.Make sure your Date represents a valid date.",
  [J.INVALID_ISO_DATE_ARGUMENT]: "The argument provided is not a valid ISO date string",
  [J.NOT_SUPPORT_NON_STRING_MESSAGE]: "Not support non-string message",
  [J.NOT_SUPPORT_LOCALE_PROMISE_VALUE]: "cannot support promise value",
  [J.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION]: "cannot support async function",
  [J.NOT_SUPPORT_LOCALE_TYPE]: "cannot support locale type"
};
function Vt(e, t) {
  return t.locale != null ? tn(t.locale) : tn(e.locale);
}
let Et;
function tn(e) {
  if (O(e))
    return e;
  if (W(e)) {
    if (e.resolvedOnce && Et != null)
      return Et;
    if (e.constructor.name === "Function") {
      const t = e();
      if (Zl(t))
        throw de(J.NOT_SUPPORT_LOCALE_PROMISE_VALUE);
      return Et = t;
    } else
      throw de(J.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION);
  } else
    throw de(J.NOT_SUPPORT_LOCALE_TYPE);
}
function ai(e, t, n) {
  return [.../* @__PURE__ */ new Set([
    n,
    ...H(t) ? t : V(t) ? Object.keys(t) : O(t) ? [t] : [n]
  ])];
}
function wn(e, t, n) {
  const s = O(n) ? n : Be, r = e;
  r.__localeChainCache || (r.__localeChainCache = /* @__PURE__ */ new Map());
  let a = r.__localeChainCache.get(s);
  if (!a) {
    a = [];
    let o = [n];
    for (; H(o); )
      o = nn(a, o, t);
    const c = H(t) || !M(t) ? t : t.default ? t.default : null;
    o = O(c) ? [c] : c, H(o) && nn(a, o, !1), r.__localeChainCache.set(s, a);
  }
  return a;
}
function nn(e, t, n) {
  let s = !0;
  for (let r = 0; r < t.length && F(s); r++) {
    const a = t[r];
    O(a) && (s = si(e, t[r], n));
  }
  return s;
}
function si(e, t, n) {
  let s;
  const r = t.split("-");
  do {
    const a = r.join("-");
    s = ri(e, a, n), r.splice(-1, 1);
  } while (r.length && s === !0);
  return s;
}
function ri(e, t, n) {
  let s = !1;
  if (!e.includes(t) && (s = !0, t)) {
    s = t[t.length - 1] !== "!";
    const r = t.replace(/!/g, "");
    e.push(r), (H(n) || M(n)) && n[r] && (s = n[r]);
  }
  return s;
}
const oi = "9.8.0", mt = -1, Be = "en-US", _t = "", an = (e) => `${e.charAt(0).toLocaleUpperCase()}${e.substr(1)}`;
function li() {
  return {
    upper: (e, t) => t === "text" && O(e) ? e.toUpperCase() : t === "vnode" && V(e) && "__v_isVNode" in e ? e.children.toUpperCase() : e,
    lower: (e, t) => t === "text" && O(e) ? e.toLowerCase() : t === "vnode" && V(e) && "__v_isVNode" in e ? e.children.toLowerCase() : e,
    capitalize: (e, t) => t === "text" && O(e) ? an(e) : t === "vnode" && V(e) && "__v_isVNode" in e ? an(e.children) : e
  };
}
let $n;
function sn(e) {
  $n = e;
}
let Vn;
function ci(e) {
  Vn = e;
}
let Un;
function ii(e) {
  Un = e;
}
let xn = null;
const ui = /* @__NO_SIDE_EFFECTS__ */ (e) => {
  xn = e;
}, _i = /* @__NO_SIDE_EFFECTS__ */ () => xn;
let Wn = null;
const rn = (e) => {
  Wn = e;
}, fi = () => Wn;
let on = 0;
function mi(e = {}) {
  const t = W(e.onWarn) ? e.onWarn : Q, n = O(e.version) ? e.version : oi, s = O(e.locale) || W(e.locale) ? e.locale : Be, r = W(s) ? Be : s, a = H(e.fallbackLocale) || M(e.fallbackLocale) || O(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : r, o = M(e.messages) ? e.messages : { [r]: {} }, c = M(e.datetimeFormats) ? e.datetimeFormats : { [r]: {} }, u = M(e.numberFormats) ? e.numberFormats : { [r]: {} }, m = z({}, e.modifiers || {}, li()), N = e.pluralRules || {}, T = W(e.missing) ? e.missing : null, E = F(e.missingWarn) || Oe(e.missingWarn) ? e.missingWarn : !0, I = F(e.fallbackWarn) || Oe(e.fallbackWarn) ? e.fallbackWarn : !0, D = !!e.fallbackFormat, P = !!e.unresolving, S = W(e.postTranslation) ? e.postTranslation : null, _ = M(e.processor) ? e.processor : null, d = F(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, v = !!e.escapeParameter, p = W(e.messageCompiler) ? e.messageCompiler : $n;
  process.env.NODE_ENV !== "production" && W(e.messageCompiler) && nc(Me(te.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER));
  const A = W(e.messageResolver) ? e.messageResolver : Vn || Wc, b = W(e.localeFallbacker) ? e.localeFallbacker : Un || ai, h = V(e.fallbackContext) ? e.fallbackContext : void 0, k = e, $ = V(k.__datetimeFormatters) ? k.__datetimeFormatters : /* @__PURE__ */ new Map(), Y = V(k.__numberFormatters) ? k.__numberFormatters : /* @__PURE__ */ new Map(), le = V(k.__meta) ? k.__meta : {};
  on++;
  const q = {
    version: n,
    cid: on,
    locale: s,
    fallbackLocale: a,
    messages: o,
    modifiers: m,
    pluralRules: N,
    missing: T,
    missingWarn: E,
    fallbackWarn: I,
    fallbackFormat: D,
    unresolving: P,
    postTranslation: S,
    processor: _,
    warnHtmlMessage: d,
    escapeParameter: v,
    messageCompiler: p,
    messageResolver: A,
    localeFallbacker: b,
    fallbackContext: h,
    onWarn: t,
    __meta: le
  };
  return q.datetimeFormats = c, q.numberFormats = u, q.__datetimeFormatters = $, q.__numberFormatters = Y, process.env.NODE_ENV !== "production" && (q.__v_emitter = k.__v_emitter != null ? k.__v_emitter : void 0), (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) && Zc(q, n, le), q;
}
function dt(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function Hn(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function Ut(e, t, n, s, r) {
  const { missing: a, onWarn: o } = e;
  if (process.env.NODE_ENV !== "production") {
    const c = e.__v_emitter;
    c && c.emit("missing", {
      locale: n,
      key: t,
      type: r,
      groupId: `${r}:${t}`
    });
  }
  if (a !== null) {
    const c = a(e, n, t, r);
    return O(c) ? c : t;
  } else
    return process.env.NODE_ENV !== "production" && Hn(s, t) && o(Me(te.NOT_FOUND_KEY, { key: t, locale: n })), t;
}
function et(e, t, n) {
  const s = e;
  s.__localeChainCache = /* @__PURE__ */ new Map(), e.localeFallbacker(e, n, t);
}
function pt(e) {
  return (n) => di(n, e);
}
function di(e, t) {
  const n = t.b || t.body;
  if ((n.t || n.type) === 1) {
    const s = n, r = s.c || s.cases;
    return e.plural(r.reduce((a, o) => [
      ...a,
      ln(e, o)
    ], []));
  } else
    return ln(e, n);
}
function ln(e, t) {
  const n = t.s || t.static;
  if (n)
    return e.type === "text" ? n : e.normalize([n]);
  {
    const s = (t.i || t.items).reduce((r, a) => [...r, Lt(e, a)], []);
    return e.normalize(s);
  }
}
function Lt(e, t) {
  const n = t.t || t.type;
  switch (n) {
    case 3:
      const s = t;
      return s.v || s.value;
    case 9:
      const r = t;
      return r.v || r.value;
    case 4:
      const a = t;
      return e.interpolate(e.named(a.k || a.key));
    case 5:
      const o = t;
      return e.interpolate(e.list(o.i != null ? o.i : o.index));
    case 6:
      const c = t, u = c.m || c.modifier;
      return e.linked(Lt(e, c.k || c.key), u ? Lt(e, u) : void 0, e.type);
    case 7:
      const m = t;
      return m.v || m.value;
    case 8:
      const N = t;
      return N.v || N.value;
    default:
      throw new Error(`unhandled node type on format message part: ${n}`);
  }
}
const gi = "Detected HTML in '{source}' message. Recommend not using HTML messages to avoid XSS.";
function Gn(e, t) {
  t && uc(e) && Q(kt(gi, { source: e }));
}
const Yn = (e) => e;
let Ge = /* @__PURE__ */ Object.create(null);
const Ie = (e) => V(e) && (e.t === 0 || e.type === 0) && ("b" in e || "body" in e);
function Bn(e, t = {}) {
  let n = !1;
  const s = t.onError || cc;
  return t.onError = (r) => {
    n = !0, s(r);
  }, { ...Mc(e, t), detectError: n };
}
const Ei = /* @__NO_SIDE_EFFECTS__ */ (e, t) => {
  if (!O(e))
    throw de(J.NOT_SUPPORT_NON_STRING_MESSAGE);
  {
    const n = F(t.warnHtmlMessage) ? t.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Gn(e, n);
    const r = (t.onCacheKey || Yn)(e), a = Ge[r];
    if (a)
      return a;
    const { code: o, detectError: c } = Bn(e, t), u = new Function(`return ${o}`)();
    return c ? u : Ge[r] = u;
  }
};
function pi(e, t) {
  if (__INTLIFY_JIT_COMPILATION__ && !__INTLIFY_DROP_MESSAGE_COMPILER__ && O(e)) {
    const n = F(t.warnHtmlMessage) ? t.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Gn(e, n);
    const r = (t.onCacheKey || Yn)(e), a = Ge[r];
    if (a)
      return a;
    const { ast: o, detectError: c } = Bn(e, {
      ...t,
      location: process.env.NODE_ENV !== "production",
      jit: !0
    }), u = pt(o);
    return c ? u : Ge[r] = u;
  } else {
    if (process.env.NODE_ENV !== "production" && !Ie(e))
      return Q(`the message that is resolve with key '${t.key}' is not supported for jit compilation`), () => e;
    const n = e.cacheKey;
    if (n) {
      const s = Ge[n];
      return s || (Ge[n] = pt(e));
    } else
      return pt(e);
  }
}
const cn = () => "", oe = (e) => W(e);
function un(e, ...t) {
  const { fallbackFormat: n, postTranslation: s, unresolving: r, messageCompiler: a, fallbackLocale: o, messages: c } = e, [u, m] = Ot(...t), N = F(m.missingWarn) ? m.missingWarn : e.missingWarn, T = F(m.fallbackWarn) ? m.fallbackWarn : e.fallbackWarn, E = F(m.escapeParameter) ? m.escapeParameter : e.escapeParameter, I = !!m.resolvedMessage, D = O(m.default) || F(m.default) ? F(m.default) ? a ? u : () => u : m.default : n ? a ? u : () => u : "", P = n || D !== "", S = Vt(e, m);
  E && Ni(m);
  let [_, d, v] = I ? [
    u,
    S,
    c[S] || {}
  ] : jn(e, u, S, o, T, N), p = _, A = u;
  if (!I && !(O(p) || Ie(p) || oe(p)) && P && (p = D, A = p), !I && (!(O(p) || Ie(p) || oe(p)) || !O(d)))
    return r ? mt : u;
  if (process.env.NODE_ENV !== "production" && O(p) && e.messageCompiler == null)
    return Q(`The message format compilation is not supported in this build. Because message compiler isn't included. You need to pre-compilation all message format. So translate function return '${u}'.`), u;
  let b = !1;
  const h = () => {
    b = !0;
  }, k = oe(p) ? p : Kn(e, u, d, p, A, h);
  if (b)
    return p;
  const $ = Li(e, d, v, m), Y = Jc($), le = hi(e, k, Y), q = s ? s(le, u) : le;
  if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
    const re = {
      timestamp: Date.now(),
      key: O(u) ? u : oe(p) ? p.key : "",
      locale: d || (oe(p) ? p.locale : ""),
      format: O(p) ? p : oe(p) ? p.source : "",
      message: q
    };
    re.meta = z({}, e.__meta, /* @__PURE__ */ _i() || {}), zc(re);
  }
  return q;
}
function Ni(e) {
  H(e.list) ? e.list = e.list.map((t) => O(t) ? jt(t) : t) : V(e.named) && Object.keys(e.named).forEach((t) => {
    O(e.named[t]) && (e.named[t] = jt(e.named[t]));
  });
}
function jn(e, t, n, s, r, a) {
  const { messages: o, onWarn: c, messageResolver: u, localeFallbacker: m } = e, N = m(e, s, n);
  let T = {}, E, I = null, D = n, P = null;
  const S = "translate";
  for (let _ = 0; _ < N.length; _++) {
    if (E = P = N[_], process.env.NODE_ENV !== "production" && n !== E && dt(r, t) && c(Me(te.FALLBACK_TO_TRANSLATE, {
      key: t,
      target: E
    })), process.env.NODE_ENV !== "production" && n !== E) {
      const b = e.__v_emitter;
      b && b.emit("fallback", {
        type: S,
        key: t,
        from: D,
        to: P,
        groupId: `${S}:${t}`
      });
    }
    T = o[E] || {};
    let d = null, v, p;
    if (process.env.NODE_ENV !== "production" && ge && (d = window.performance.now(), v = "intlify-message-resolve-start", p = "intlify-message-resolve-end", se && se(v)), (I = u(T, t)) === null && (I = T[t]), process.env.NODE_ENV !== "production" && ge) {
      const b = window.performance.now(), h = e.__v_emitter;
      h && d && I && h.emit("message-resolve", {
        type: "message-resolve",
        key: t,
        message: I,
        time: b - d,
        groupId: `${S}:${t}`
      }), v && p && se && Re && (se(p), Re("intlify message resolve", v, p));
    }
    if (O(I) || Ie(I) || oe(I))
      break;
    const A = Ut(
      e,
      // eslint-disable-line @typescript-eslint/no-explicit-any
      t,
      E,
      a,
      S
    );
    A !== t && (I = A), D = P;
  }
  return [I, E, T];
}
function Kn(e, t, n, s, r, a) {
  const { messageCompiler: o, warnHtmlMessage: c } = e;
  if (oe(s)) {
    const E = s;
    return E.locale = E.locale || n, E.key = E.key || t, E;
  }
  if (o == null) {
    const E = () => s;
    return E.locale = n, E.key = t, E;
  }
  let u = null, m, N;
  process.env.NODE_ENV !== "production" && ge && (u = window.performance.now(), m = "intlify-message-compilation-start", N = "intlify-message-compilation-end", se && se(m));
  const T = o(s, Ti(e, n, r, s, c, a));
  if (process.env.NODE_ENV !== "production" && ge) {
    const E = window.performance.now(), I = e.__v_emitter;
    I && u && I.emit("message-compilation", {
      type: "message-compilation",
      message: s,
      time: E - u,
      groupId: `translate:${t}`
    }), m && N && se && Re && (se(N), Re("intlify message compilation", m, N));
  }
  return T.locale = n, T.key = t, T.source = s, T;
}
function hi(e, t, n) {
  let s = null, r, a;
  process.env.NODE_ENV !== "production" && ge && (s = window.performance.now(), r = "intlify-message-evaluation-start", a = "intlify-message-evaluation-end", se && se(r));
  const o = t(n);
  if (process.env.NODE_ENV !== "production" && ge) {
    const c = window.performance.now(), u = e.__v_emitter;
    u && s && u.emit("message-evaluation", {
      type: "message-evaluation",
      value: o,
      time: c - s,
      groupId: `translate:${t.key}`
    }), r && a && se && Re && (se(a), Re("intlify message evaluation", r, a));
  }
  return o;
}
function Ot(...e) {
  const [t, n, s] = e, r = {};
  if (!O(t) && !K(t) && !oe(t) && !Ie(t))
    throw de(J.INVALID_ARGUMENT);
  const a = K(t) ? String(t) : (oe(t), t);
  return K(n) ? r.plural = n : O(n) ? r.default = n : M(n) && !ft(n) ? r.named = n : H(n) && (r.list = n), K(s) ? r.plural = s : O(s) ? r.default = s : M(s) && z(r, s), [a, r];
}
function Ti(e, t, n, s, r, a) {
  return {
    locale: t,
    key: n,
    warnHtmlMessage: r,
    onError: (o) => {
      if (a && a(o), process.env.NODE_ENV !== "production") {
        const c = vi(s), u = `Message compilation error: ${o.message}`, m = o.location && c && tc(c, o.location.start.offset, o.location.end.offset), N = e.__v_emitter;
        N && c && N.emit("compile-error", {
          message: c,
          error: o.message,
          start: o.location && o.location.start.offset,
          end: o.location && o.location.end.offset,
          groupId: `translate:${n}`
        }), console.error(m ? `${u}
${m}` : u);
      } else
        throw o;
    },
    onCacheKey: (o) => Xl(t, n, o)
  };
}
function vi(e) {
  if (O(e))
    return e;
  if (e.loc && e.loc.source)
    return e.loc.source;
}
function Li(e, t, n, s) {
  const { modifiers: r, pluralRules: a, messageResolver: o, fallbackLocale: c, fallbackWarn: u, missingWarn: m, fallbackContext: N } = e, E = {
    locale: t,
    modifiers: r,
    pluralRules: a,
    messages: (I) => {
      let D = o(n, I);
      if (D == null && N) {
        const [, , P] = jn(N, I, t, c, u, m);
        D = o(P, I);
      }
      if (O(D) || Ie(D)) {
        let P = !1;
        const _ = Kn(e, I, t, D, I, () => {
          P = !0;
        });
        return P ? cn : _;
      } else
        return oe(D) ? D : cn;
    }
  };
  return e.processor && (E.processor = e.processor), s.list && (E.list = s.list), s.named && (E.named = s.named), K(s.plural) && (E.pluralIndex = s.plural), E;
}
const _n = typeof Intl < "u", Xn = {
  dateTimeFormat: _n && typeof Intl.DateTimeFormat < "u",
  numberFormat: _n && typeof Intl.NumberFormat < "u"
};
function fn(e, ...t) {
  const { datetimeFormats: n, unresolving: s, fallbackLocale: r, onWarn: a, localeFallbacker: o } = e, { __datetimeFormatters: c } = e;
  if (process.env.NODE_ENV !== "production" && !Xn.dateTimeFormat)
    return a(Me(te.CANNOT_FORMAT_DATE)), _t;
  const [u, m, N, T] = It(...t), E = F(N.missingWarn) ? N.missingWarn : e.missingWarn, I = F(N.fallbackWarn) ? N.fallbackWarn : e.fallbackWarn, D = !!N.part, P = Vt(e, N), S = o(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    r,
    P
  );
  if (!O(u) || u === "")
    return new Intl.DateTimeFormat(P, T).format(m);
  let _ = {}, d, v = null, p = P, A = null;
  const b = "datetime format";
  for (let $ = 0; $ < S.length; $++) {
    if (d = A = S[$], process.env.NODE_ENV !== "production" && P !== d && dt(I, u) && a(Me(te.FALLBACK_TO_DATE_FORMAT, {
      key: u,
      target: d
    })), process.env.NODE_ENV !== "production" && P !== d) {
      const Y = e.__v_emitter;
      Y && Y.emit("fallback", {
        type: b,
        key: u,
        from: p,
        to: A,
        groupId: `${b}:${u}`
      });
    }
    if (_ = n[d] || {}, v = _[u], M(v))
      break;
    Ut(e, u, d, E, b), p = A;
  }
  if (!M(v) || !O(d))
    return s ? mt : u;
  let h = `${d}__${u}`;
  ft(T) || (h = `${h}__${JSON.stringify(T)}`);
  let k = c.get(h);
  return k || (k = new Intl.DateTimeFormat(d, z({}, v, T)), c.set(h, k)), D ? k.formatToParts(m) : k.format(m);
}
const qn = [
  "localeMatcher",
  "weekday",
  "era",
  "year",
  "month",
  "day",
  "hour",
  "minute",
  "second",
  "timeZoneName",
  "formatMatcher",
  "hour12",
  "timeZone",
  "dateStyle",
  "timeStyle",
  "calendar",
  "dayPeriod",
  "numberingSystem",
  "hourCycle",
  "fractionalSecondDigits"
];
function It(...e) {
  const [t, n, s, r] = e, a = {};
  let o = {}, c;
  if (O(t)) {
    const u = t.match(/(\d{4}-\d{2}-\d{2})(T|\s)?(.*)/);
    if (!u)
      throw de(J.INVALID_ISO_DATE_ARGUMENT);
    const m = u[3] ? u[3].trim().startsWith("T") ? `${u[1].trim()}${u[3].trim()}` : `${u[1].trim()}T${u[3].trim()}` : u[1].trim();
    c = new Date(m);
    try {
      c.toISOString();
    } catch {
      throw de(J.INVALID_ISO_DATE_ARGUMENT);
    }
  } else if (Jl(t)) {
    if (isNaN(t.getTime()))
      throw de(J.INVALID_DATE_ARGUMENT);
    c = t;
  } else if (K(t))
    c = t;
  else
    throw de(J.INVALID_ARGUMENT);
  return O(n) ? a.key = n : M(n) && Object.keys(n).forEach((u) => {
    qn.includes(u) ? o[u] = n[u] : a[u] = n[u];
  }), O(s) ? a.locale = s : M(s) && (o = s), M(r) && (o = r), [a.key || "", c, a, o];
}
function mn(e, t, n) {
  const s = e;
  for (const r in n) {
    const a = `${t}__${r}`;
    s.__datetimeFormatters.has(a) && s.__datetimeFormatters.delete(a);
  }
}
function dn(e, ...t) {
  const { numberFormats: n, unresolving: s, fallbackLocale: r, onWarn: a, localeFallbacker: o } = e, { __numberFormatters: c } = e;
  if (process.env.NODE_ENV !== "production" && !Xn.numberFormat)
    return a(Me(te.CANNOT_FORMAT_NUMBER)), _t;
  const [u, m, N, T] = bt(...t), E = F(N.missingWarn) ? N.missingWarn : e.missingWarn, I = F(N.fallbackWarn) ? N.fallbackWarn : e.fallbackWarn, D = !!N.part, P = Vt(e, N), S = o(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    r,
    P
  );
  if (!O(u) || u === "")
    return new Intl.NumberFormat(P, T).format(m);
  let _ = {}, d, v = null, p = P, A = null;
  const b = "number format";
  for (let $ = 0; $ < S.length; $++) {
    if (d = A = S[$], process.env.NODE_ENV !== "production" && P !== d && dt(I, u) && a(Me(te.FALLBACK_TO_NUMBER_FORMAT, {
      key: u,
      target: d
    })), process.env.NODE_ENV !== "production" && P !== d) {
      const Y = e.__v_emitter;
      Y && Y.emit("fallback", {
        type: b,
        key: u,
        from: p,
        to: A,
        groupId: `${b}:${u}`
      });
    }
    if (_ = n[d] || {}, v = _[u], M(v))
      break;
    Ut(e, u, d, E, b), p = A;
  }
  if (!M(v) || !O(d))
    return s ? mt : u;
  let h = `${d}__${u}`;
  ft(T) || (h = `${h}__${JSON.stringify(T)}`);
  let k = c.get(h);
  return k || (k = new Intl.NumberFormat(d, z({}, v, T)), c.set(h, k)), D ? k.formatToParts(m) : k.format(m);
}
const Jn = [
  "localeMatcher",
  "style",
  "currency",
  "currencyDisplay",
  "currencySign",
  "useGrouping",
  "minimumIntegerDigits",
  "minimumFractionDigits",
  "maximumFractionDigits",
  "minimumSignificantDigits",
  "maximumSignificantDigits",
  "compactDisplay",
  "notation",
  "signDisplay",
  "unit",
  "unitDisplay",
  "roundingMode",
  "roundingPriority",
  "roundingIncrement",
  "trailingZeroDisplay"
];
function bt(...e) {
  const [t, n, s, r] = e, a = {};
  let o = {};
  if (!K(t))
    throw de(J.INVALID_ARGUMENT);
  const c = t;
  return O(n) ? a.key = n : M(n) && Object.keys(n).forEach((u) => {
    Jn.includes(u) ? o[u] = n[u] : a[u] = n[u];
  }), O(s) ? a.locale = s : M(s) && (o = s), M(r) && (o = r), [a.key || "", c, a, o];
}
function gn(e, t, n) {
  const s = e;
  for (const r in n) {
    const a = `${t}__${r}`;
    s.__numberFormatters.has(a) && s.__numberFormatters.delete(a);
  }
}
kc();
function Oi() {
  return Qn().__VUE_DEVTOOLS_GLOBAL_HOOK__;
}
function Qn() {
  return typeof navigator < "u" && typeof window < "u" ? window : typeof global < "u" ? global : {};
}
const Ii = typeof Proxy == "function", bi = "devtools-plugin:setup", Ai = "plugin:settings:set";
let We, At;
function yi() {
  var e;
  return We !== void 0 || (typeof window < "u" && window.performance ? (We = !0, At = window.performance) : typeof global < "u" && (!((e = global.perf_hooks) === null || e === void 0) && e.performance) ? (We = !0, At = global.perf_hooks.performance) : We = !1), We;
}
function Si() {
  return yi() ? At.now() : Date.now();
}
class Pi {
  constructor(t, n) {
    this.target = null, this.targetQueue = [], this.onQueue = [], this.plugin = t, this.hook = n;
    const s = {};
    if (t.settings)
      for (const o in t.settings) {
        const c = t.settings[o];
        s[o] = c.defaultValue;
      }
    const r = `__vue-devtools-plugin-settings__${t.id}`;
    let a = Object.assign({}, s);
    try {
      const o = localStorage.getItem(r), c = JSON.parse(o);
      Object.assign(a, c);
    } catch {
    }
    this.fallbacks = {
      getSettings() {
        return a;
      },
      setSettings(o) {
        try {
          localStorage.setItem(r, JSON.stringify(o));
        } catch {
        }
        a = o;
      },
      now() {
        return Si();
      }
    }, n && n.on(Ai, (o, c) => {
      o === this.plugin.id && this.fallbacks.setSettings(c);
    }), this.proxiedOn = new Proxy({}, {
      get: (o, c) => this.target ? this.target.on[c] : (...u) => {
        this.onQueue.push({
          method: c,
          args: u
        });
      }
    }), this.proxiedTarget = new Proxy({}, {
      get: (o, c) => this.target ? this.target[c] : c === "on" ? this.proxiedOn : Object.keys(this.fallbacks).includes(c) ? (...u) => (this.targetQueue.push({
        method: c,
        args: u,
        resolve: () => {
        }
      }), this.fallbacks[c](...u)) : (...u) => new Promise((m) => {
        this.targetQueue.push({
          method: c,
          args: u,
          resolve: m
        });
      })
    });
  }
  async setRealTarget(t) {
    this.target = t;
    for (const n of this.onQueue)
      this.target.on[n.method](...n.args);
    for (const n of this.targetQueue)
      n.resolve(await this.target[n.method](...n.args));
  }
}
function Di(e, t) {
  const n = e, s = Qn(), r = Oi(), a = Ii && n.enableEarlyProxy;
  if (r && (s.__VUE_DEVTOOLS_PLUGIN_API_AVAILABLE__ || !a))
    r.emit(bi, e, t);
  else {
    const o = a ? new Pi(n, r) : null;
    (s.__VUE_DEVTOOLS_PLUGINS__ = s.__VUE_DEVTOOLS_PLUGINS__ || []).push({
      pluginDescriptor: n,
      setupFn: t,
      proxy: o
    }), o && t(o.proxiedTarget);
  }
}
/*!
  * vue-i18n v9.8.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
const Ci = "9.8.0";
function Ri() {
  typeof __VUE_I18N_FULL_INSTALL__ != "boolean" && (he().__VUE_I18N_FULL_INSTALL__ = !0), typeof __VUE_I18N_LEGACY_API__ != "boolean" && (he().__VUE_I18N_LEGACY_API__ = !0), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (he().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (he().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1), typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (he().__INTLIFY_PROD_DEVTOOLS__ = !1);
}
const Zn = te.__EXTEND_POINT__, Le = Ft(Zn), G = {
  FALLBACK_TO_ROOT: Zn,
  NOT_SUPPORTED_PRESERVE: Le(),
  NOT_SUPPORTED_FORMATTER: Le(),
  NOT_SUPPORTED_PRESERVE_DIRECTIVE: Le(),
  NOT_SUPPORTED_GET_CHOICE_INDEX: Le(),
  COMPONENT_NAME_LEGACY_COMPATIBLE: Le(),
  NOT_FOUND_PARENT_SCOPE: Le(),
  IGNORE_OBJ_FLATTEN: Le(),
  NOTICE_DROP_ALLOW_COMPOSITION: Le()
  // 17
}, Mi = {
  [G.FALLBACK_TO_ROOT]: "Fall back to {type} '{key}' with root locale.",
  [G.NOT_SUPPORTED_PRESERVE]: "Not supported 'preserve'.",
  [G.NOT_SUPPORTED_FORMATTER]: "Not supported 'formatter'.",
  [G.NOT_SUPPORTED_PRESERVE_DIRECTIVE]: "Not supported 'preserveDirectiveContent'.",
  [G.NOT_SUPPORTED_GET_CHOICE_INDEX]: "Not supported 'getChoiceIndex'.",
  [G.COMPONENT_NAME_LEGACY_COMPATIBLE]: "Component name legacy compatible: '{name}' -> 'i18n'",
  [G.NOT_FOUND_PARENT_SCOPE]: "Not found parent scope. use the global scope.",
  [G.IGNORE_OBJ_FLATTEN]: "Ignore object flatten: '{key}' key has an string value",
  [G.NOTICE_DROP_ALLOW_COMPOSITION]: "'allowComposition' option will be dropped in the next major version. For more information, please see 👉 https://tinyurl.com/2p97mcze"
};
function ae(e, ...t) {
  return kt(Mi[e], ...t);
}
const zn = J.__EXTEND_POINT__, ne = Ft(zn), w = {
  // composer module errors
  UNEXPECTED_RETURN_TYPE: zn,
  // legacy module errors
  INVALID_ARGUMENT: ne(),
  // i18n module errors
  MUST_BE_CALL_SETUP_TOP: ne(),
  NOT_INSTALLED: ne(),
  NOT_AVAILABLE_IN_LEGACY_MODE: ne(),
  // directive module errors
  REQUIRED_VALUE: ne(),
  INVALID_VALUE: ne(),
  // vue-devtools errors
  CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN: ne(),
  NOT_INSTALLED_WITH_PROVIDE: ne(),
  // unexpected error
  UNEXPECTED_ERROR: ne(),
  // not compatible legacy vue-i18n constructor
  NOT_COMPATIBLE_LEGACY_VUE_I18N: ne(),
  // bridge support vue 2.x only
  BRIDGE_SUPPORT_VUE_2_ONLY: ne(),
  // need to define `i18n` option in `allowComposition: true` and `useScope: 'local' at `useI18n``
  MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION: ne(),
  // Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly
  NOT_AVAILABLE_COMPOSITION_IN_LEGACY: ne(),
  // for enhancement
  __EXTEND_POINT__: ne()
  // 40
};
function X(e, ...t) {
  return je(e, null, process.env.NODE_ENV !== "production" ? { messages: ki, args: t } : void 0);
}
const ki = {
  [w.UNEXPECTED_RETURN_TYPE]: "Unexpected return type in composer",
  [w.INVALID_ARGUMENT]: "Invalid argument",
  [w.MUST_BE_CALL_SETUP_TOP]: "Must be called at the top of a `setup` function",
  [w.NOT_INSTALLED]: "Need to install with `app.use` function",
  [w.UNEXPECTED_ERROR]: "Unexpected error",
  [w.NOT_AVAILABLE_IN_LEGACY_MODE]: "Not available in legacy mode",
  [w.REQUIRED_VALUE]: "Required in value: {0}",
  [w.INVALID_VALUE]: "Invalid value",
  [w.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN]: "Cannot setup vue-devtools plugin",
  [w.NOT_INSTALLED_WITH_PROVIDE]: "Need to install with `provide` function",
  [w.NOT_COMPATIBLE_LEGACY_VUE_I18N]: "Not compatible legacy VueI18n.",
  [w.BRIDGE_SUPPORT_VUE_2_ONLY]: "vue-i18n-bridge support Vue 2.x only",
  [w.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION]: "Must define ‘i18n’ option or custom block in Composition API with using local scope in Legacy API mode",
  [w.NOT_AVAILABLE_COMPOSITION_IN_LEGACY]: "Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly"
}, yt = /* @__PURE__ */ Ee("__translateVNode"), St = /* @__PURE__ */ Ee("__datetimeParts"), Pt = /* @__PURE__ */ Ee("__numberParts"), ke = /* @__PURE__ */ Ee("__enableEmitter"), rt = /* @__PURE__ */ Ee("__disableEmitter"), ea = Ee("__setPluralRules"), ta = /* @__PURE__ */ Ee("__injectWithOption"), Dt = /* @__PURE__ */ Ee("__dispose");
function ot(e) {
  if (!V(e))
    return e;
  for (const t in e)
    if (at(e, t))
      if (!t.includes("."))
        V(e[t]) && ot(e[t]);
      else {
        const n = t.split("."), s = n.length - 1;
        let r = e, a = !1;
        for (let o = 0; o < s; o++) {
          if (n[o] in r || (r[n[o]] = {}), !V(r[n[o]])) {
            process.env.NODE_ENV !== "production" && Q(ae(G.IGNORE_OBJ_FLATTEN, {
              key: n[o]
            })), a = !0;
            break;
          }
          r = r[n[o]];
        }
        a || (r[n[s]] = e[t], delete e[t]), V(r[n[s]]) && ot(r[n[s]]);
      }
  return e;
}
function gt(e, t) {
  const { messages: n, __i18n: s, messageResolver: r, flatJson: a } = t, o = M(n) ? n : H(s) ? {} : { [e]: {} };
  if (H(s) && s.forEach((c) => {
    if ("locale" in c && "resource" in c) {
      const { locale: u, resource: m } = c;
      u ? (o[u] = o[u] || {}, tt(m, o[u])) : tt(m, o);
    } else
      O(c) && tt(JSON.parse(c), o);
  }), r == null && a)
    for (const c in o)
      at(o, c) && ot(o[c]);
  return o;
}
function na(e) {
  return e.type;
}
function aa(e, t, n) {
  let s = V(t.messages) ? t.messages : {};
  "__i18nGlobal" in n && (s = gt(e.locale.value, {
    messages: s,
    __i18n: n.__i18nGlobal
  }));
  const r = Object.keys(s);
  r.length && r.forEach((a) => {
    e.mergeLocaleMessage(a, s[a]);
  });
  {
    if (V(t.datetimeFormats)) {
      const a = Object.keys(t.datetimeFormats);
      a.length && a.forEach((o) => {
        e.mergeDateTimeFormat(o, t.datetimeFormats[o]);
      });
    }
    if (V(t.numberFormats)) {
      const a = Object.keys(t.numberFormats);
      a.length && a.forEach((o) => {
        e.mergeNumberFormat(o, t.numberFormats[o]);
      });
    }
  }
}
function En(e) {
  return xa(Wa, null, e, 0);
}
const pn = "__INTLIFY_META__", Nn = () => [], Fi = () => !1;
let hn = 0;
function Tn(e) {
  return (t, n, s, r) => e(n, s, nt() || void 0, r);
}
const wi = /* @__NO_SIDE_EFFECTS__ */ () => {
  const e = nt();
  let t = null;
  return e && (t = na(e)[pn]) ? { [pn]: t } : null;
};
function xt(e = {}, t) {
  const { __root: n, __injectWithOption: s } = e, r = n === void 0, a = e.flatJson;
  let o = F(e.inheritLocale) ? e.inheritLocale : !0;
  const c = fe(
    // prettier-ignore
    n && o ? n.locale.value : O(e.locale) ? e.locale : Be
  ), u = fe(
    // prettier-ignore
    n && o ? n.fallbackLocale.value : O(e.fallbackLocale) || H(e.fallbackLocale) || M(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : c.value
  ), m = fe(gt(c.value, e)), N = fe(M(e.datetimeFormats) ? e.datetimeFormats : { [c.value]: {} }), T = fe(M(e.numberFormats) ? e.numberFormats : { [c.value]: {} });
  let E = n ? n.missingWarn : F(e.missingWarn) || Oe(e.missingWarn) ? e.missingWarn : !0, I = n ? n.fallbackWarn : F(e.fallbackWarn) || Oe(e.fallbackWarn) ? e.fallbackWarn : !0, D = n ? n.fallbackRoot : F(e.fallbackRoot) ? e.fallbackRoot : !0, P = !!e.fallbackFormat, S = W(e.missing) ? e.missing : null, _ = W(e.missing) ? Tn(e.missing) : null, d = W(e.postTranslation) ? e.postTranslation : null, v = n ? n.warnHtmlMessage : F(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, p = !!e.escapeParameter;
  const A = n ? n.modifiers : M(e.modifiers) ? e.modifiers : {};
  let b = e.pluralRules || n && n.pluralRules, h;
  h = (() => {
    r && rn(null);
    const g = {
      version: Ci,
      locale: c.value,
      fallbackLocale: u.value,
      messages: m.value,
      modifiers: A,
      pluralRules: b,
      missing: _ === null ? void 0 : _,
      missingWarn: E,
      fallbackWarn: I,
      fallbackFormat: P,
      unresolving: !0,
      postTranslation: d === null ? void 0 : d,
      warnHtmlMessage: v,
      escapeParameter: p,
      messageResolver: e.messageResolver,
      messageCompiler: e.messageCompiler,
      __meta: { framework: "vue" }
    };
    g.datetimeFormats = N.value, g.numberFormats = T.value, g.__datetimeFormatters = M(h) ? h.__datetimeFormatters : void 0, g.__numberFormatters = M(h) ? h.__numberFormatters : void 0, process.env.NODE_ENV !== "production" && (g.__v_emitter = M(h) ? h.__v_emitter : void 0);
    const L = mi(g);
    return r && rn(L), L;
  })(), et(h, c.value, u.value);
  function $() {
    return [
      c.value,
      u.value,
      m.value,
      N.value,
      T.value
    ];
  }
  const Y = me({
    get: () => c.value,
    set: (g) => {
      c.value = g, h.locale = c.value;
    }
  }), le = me({
    get: () => u.value,
    set: (g) => {
      u.value = g, h.fallbackLocale = u.value, et(h, c.value, g);
    }
  }), q = me(() => m.value), re = /* @__PURE__ */ me(() => N.value), Fe = /* @__PURE__ */ me(() => T.value);
  function Ke() {
    return W(d) ? d : null;
  }
  function ie(g) {
    d = g, h.postTranslation = g;
  }
  function we() {
    return S;
  }
  function Xe(g) {
    g !== null && (_ = Tn(g)), S = g, h.missing = _;
  }
  function $e(g, L) {
    return g !== "translate" || !L.resolvedMessage;
  }
  const ce = (g, L, x, B, Pe, it) => {
    $();
    let xe;
    try {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, r || (h.fallbackContext = n ? fi() : void 0), xe = g(h);
    } finally {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, r || (h.fallbackContext = void 0);
    }
    if (x !== "translate exists" && // for not `te` (e.g `t`)
    K(xe) && xe === mt || x === "translate exists" && !xe) {
      const [De, ma] = L();
      if (process.env.NODE_ENV !== "production" && n && O(De) && $e(x, ma) && (D && (dt(I, De) || Hn(E, De)) && Q(ae(G.FALLBACK_TO_ROOT, {
        key: De,
        type: x
      })), process.env.NODE_ENV !== "production")) {
        const { __v_emitter: Yt } = h;
        Yt && D && Yt.emit("fallback", {
          type: x,
          key: De,
          to: "global",
          groupId: `${x}:${De}`
        });
      }
      return n && D ? B(n) : Pe(De);
    } else {
      if (it(xe))
        return xe;
      throw X(w.UNEXPECTED_RETURN_TYPE);
    }
  };
  function Ve(...g) {
    return ce((L) => Reflect.apply(un, null, [L, ...g]), () => Ot(...g), "translate", (L) => Reflect.apply(L.t, L, [...g]), (L) => L, (L) => O(L));
  }
  function qe(...g) {
    const [L, x, B] = g;
    if (B && !V(B))
      throw X(w.INVALID_ARGUMENT);
    return Ve(L, x, z({ resolvedMessage: !0 }, B || {}));
  }
  function Je(...g) {
    return ce((L) => Reflect.apply(fn, null, [L, ...g]), () => It(...g), "datetime format", (L) => Reflect.apply(L.d, L, [...g]), () => _t, (L) => O(L));
  }
  function Ue(...g) {
    return ce((L) => Reflect.apply(dn, null, [L, ...g]), () => bt(...g), "number format", (L) => Reflect.apply(L.n, L, [...g]), () => _t, (L) => O(L));
  }
  function Qe(g) {
    return g.map((L) => O(L) || K(L) || F(L) ? En(String(L)) : L);
  }
  const Ze = {
    normalize: Qe,
    interpolate: (g) => g,
    type: "vnode"
  };
  function Ae(...g) {
    return ce(
      (L) => {
        let x;
        const B = L;
        try {
          B.processor = Ze, x = Reflect.apply(un, null, [B, ...g]);
        } finally {
          B.processor = null;
        }
        return x;
      },
      () => Ot(...g),
      "translate",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (L) => L[yt](...g),
      (L) => [En(L)],
      (L) => H(L)
    );
  }
  function ye(...g) {
    return ce(
      (L) => Reflect.apply(dn, null, [L, ...g]),
      () => bt(...g),
      "number format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (L) => L[Pt](...g),
      Nn,
      (L) => O(L) || H(L)
    );
  }
  function Te(...g) {
    return ce(
      (L) => Reflect.apply(fn, null, [L, ...g]),
      () => It(...g),
      "datetime format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (L) => L[St](...g),
      Nn,
      (L) => O(L) || H(L)
    );
  }
  function Se(g) {
    b = g, h.pluralRules = b;
  }
  function ze(g, L) {
    return ce(() => {
      if (!g)
        return !1;
      const x = O(L) ? L : c.value, B = f(x), Pe = h.messageResolver(B, g);
      return Ie(Pe) || oe(Pe) || O(Pe);
    }, () => [g], "translate exists", (x) => Reflect.apply(x.te, x, [g, L]), Fi, (x) => F(x));
  }
  function i(g) {
    let L = null;
    const x = wn(h, u.value, c.value);
    for (let B = 0; B < x.length; B++) {
      const Pe = m.value[x[B]] || {}, it = h.messageResolver(Pe, g);
      if (it != null) {
        L = it;
        break;
      }
    }
    return L;
  }
  function l(g) {
    const L = i(g);
    return L ?? (n ? n.tm(g) || {} : {});
  }
  function f(g) {
    return m.value[g] || {};
  }
  function y(g, L) {
    if (a) {
      const x = { [g]: L };
      for (const B in x)
        at(x, B) && ot(x[B]);
      L = x[g];
    }
    m.value[g] = L, h.messages = m.value;
  }
  function R(g, L) {
    m.value[g] = m.value[g] || {};
    const x = { [g]: L };
    for (const B in x)
      at(x, B) && ot(x[B]);
    L = x[g], tt(L, m.value[g]), h.messages = m.value;
  }
  function U(g) {
    return N.value[g] || {};
  }
  function ue(g, L) {
    N.value[g] = L, h.datetimeFormats = N.value, mn(h, g, L);
  }
  function pe(g, L) {
    N.value[g] = z(N.value[g] || {}, L), h.datetimeFormats = N.value, mn(h, g, L);
  }
  function ua(g) {
    return T.value[g] || {};
  }
  function _a(g, L) {
    T.value[g] = L, h.numberFormats = T.value, gn(h, g, L);
  }
  function fa(g, L) {
    T.value[g] = z(T.value[g] || {}, L), h.numberFormats = T.value, gn(h, g, L);
  }
  hn++, n && ge && (Tt(n.locale, (g) => {
    o && (c.value = g, h.locale = g, et(h, c.value, u.value));
  }), Tt(n.fallbackLocale, (g) => {
    o && (u.value = g, h.fallbackLocale = g, et(h, c.value, u.value));
  }));
  const j = {
    id: hn,
    locale: Y,
    fallbackLocale: le,
    get inheritLocale() {
      return o;
    },
    set inheritLocale(g) {
      o = g, g && n && (c.value = n.locale.value, u.value = n.fallbackLocale.value, et(h, c.value, u.value));
    },
    get availableLocales() {
      return Object.keys(m.value).sort();
    },
    messages: q,
    get modifiers() {
      return A;
    },
    get pluralRules() {
      return b || {};
    },
    get isGlobal() {
      return r;
    },
    get missingWarn() {
      return E;
    },
    set missingWarn(g) {
      E = g, h.missingWarn = E;
    },
    get fallbackWarn() {
      return I;
    },
    set fallbackWarn(g) {
      I = g, h.fallbackWarn = I;
    },
    get fallbackRoot() {
      return D;
    },
    set fallbackRoot(g) {
      D = g;
    },
    get fallbackFormat() {
      return P;
    },
    set fallbackFormat(g) {
      P = g, h.fallbackFormat = P;
    },
    get warnHtmlMessage() {
      return v;
    },
    set warnHtmlMessage(g) {
      v = g, h.warnHtmlMessage = g;
    },
    get escapeParameter() {
      return p;
    },
    set escapeParameter(g) {
      p = g, h.escapeParameter = g;
    },
    t: Ve,
    getLocaleMessage: f,
    setLocaleMessage: y,
    mergeLocaleMessage: R,
    getPostTranslationHandler: Ke,
    setPostTranslationHandler: ie,
    getMissingHandler: we,
    setMissingHandler: Xe,
    [ea]: Se
  };
  return j.datetimeFormats = re, j.numberFormats = Fe, j.rt = qe, j.te = ze, j.tm = l, j.d = Je, j.n = Ue, j.getDateTimeFormat = U, j.setDateTimeFormat = ue, j.mergeDateTimeFormat = pe, j.getNumberFormat = ua, j.setNumberFormat = _a, j.mergeNumberFormat = fa, j[ta] = s, j[yt] = Ae, j[St] = Te, j[Pt] = ye, process.env.NODE_ENV !== "production" && (j[ke] = (g) => {
    h.__v_emitter = g;
  }, j[rt] = () => {
    h.__v_emitter = void 0;
  }), j;
}
function $i(e) {
  const t = O(e.locale) ? e.locale : Be, n = O(e.fallbackLocale) || H(e.fallbackLocale) || M(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : t, s = W(e.missing) ? e.missing : void 0, r = F(e.silentTranslationWarn) || Oe(e.silentTranslationWarn) ? !e.silentTranslationWarn : !0, a = F(e.silentFallbackWarn) || Oe(e.silentFallbackWarn) ? !e.silentFallbackWarn : !0, o = F(e.fallbackRoot) ? e.fallbackRoot : !0, c = !!e.formatFallbackMessages, u = M(e.modifiers) ? e.modifiers : {}, m = e.pluralizationRules, N = W(e.postTranslation) ? e.postTranslation : void 0, T = O(e.warnHtmlInMessage) ? e.warnHtmlInMessage !== "off" : !0, E = !!e.escapeParameterHtml, I = F(e.sync) ? e.sync : !0;
  process.env.NODE_ENV !== "production" && e.formatter && Q(ae(G.NOT_SUPPORTED_FORMATTER)), process.env.NODE_ENV !== "production" && e.preserveDirectiveContent && Q(ae(G.NOT_SUPPORTED_PRESERVE_DIRECTIVE));
  let D = e.messages;
  if (M(e.sharedMessages)) {
    const A = e.sharedMessages;
    D = Object.keys(A).reduce((h, k) => {
      const $ = h[k] || (h[k] = {});
      return z($, A[k]), h;
    }, D || {});
  }
  const { __i18n: P, __root: S, __injectWithOption: _ } = e, d = e.datetimeFormats, v = e.numberFormats, p = e.flatJson;
  return {
    locale: t,
    fallbackLocale: n,
    messages: D,
    flatJson: p,
    datetimeFormats: d,
    numberFormats: v,
    missing: s,
    missingWarn: r,
    fallbackWarn: a,
    fallbackRoot: o,
    fallbackFormat: c,
    modifiers: u,
    pluralRules: m,
    postTranslation: N,
    warnHtmlMessage: T,
    escapeParameter: E,
    messageResolver: e.messageResolver,
    inheritLocale: I,
    __i18n: P,
    __root: S,
    __injectWithOption: _
  };
}
function Ct(e = {}, t) {
  {
    const n = xt($i(e)), { __extender: s } = e, r = {
      // id
      id: n.id,
      // locale
      get locale() {
        return n.locale.value;
      },
      set locale(a) {
        n.locale.value = a;
      },
      // fallbackLocale
      get fallbackLocale() {
        return n.fallbackLocale.value;
      },
      set fallbackLocale(a) {
        n.fallbackLocale.value = a;
      },
      // messages
      get messages() {
        return n.messages.value;
      },
      // datetimeFormats
      get datetimeFormats() {
        return n.datetimeFormats.value;
      },
      // numberFormats
      get numberFormats() {
        return n.numberFormats.value;
      },
      // availableLocales
      get availableLocales() {
        return n.availableLocales;
      },
      // formatter
      get formatter() {
        return process.env.NODE_ENV !== "production" && Q(ae(G.NOT_SUPPORTED_FORMATTER)), {
          interpolate() {
            return [];
          }
        };
      },
      set formatter(a) {
        process.env.NODE_ENV !== "production" && Q(ae(G.NOT_SUPPORTED_FORMATTER));
      },
      // missing
      get missing() {
        return n.getMissingHandler();
      },
      set missing(a) {
        n.setMissingHandler(a);
      },
      // silentTranslationWarn
      get silentTranslationWarn() {
        return F(n.missingWarn) ? !n.missingWarn : n.missingWarn;
      },
      set silentTranslationWarn(a) {
        n.missingWarn = F(a) ? !a : a;
      },
      // silentFallbackWarn
      get silentFallbackWarn() {
        return F(n.fallbackWarn) ? !n.fallbackWarn : n.fallbackWarn;
      },
      set silentFallbackWarn(a) {
        n.fallbackWarn = F(a) ? !a : a;
      },
      // modifiers
      get modifiers() {
        return n.modifiers;
      },
      // formatFallbackMessages
      get formatFallbackMessages() {
        return n.fallbackFormat;
      },
      set formatFallbackMessages(a) {
        n.fallbackFormat = a;
      },
      // postTranslation
      get postTranslation() {
        return n.getPostTranslationHandler();
      },
      set postTranslation(a) {
        n.setPostTranslationHandler(a);
      },
      // sync
      get sync() {
        return n.inheritLocale;
      },
      set sync(a) {
        n.inheritLocale = a;
      },
      // warnInHtmlMessage
      get warnHtmlInMessage() {
        return n.warnHtmlMessage ? "warn" : "off";
      },
      set warnHtmlInMessage(a) {
        n.warnHtmlMessage = a !== "off";
      },
      // escapeParameterHtml
      get escapeParameterHtml() {
        return n.escapeParameter;
      },
      set escapeParameterHtml(a) {
        n.escapeParameter = a;
      },
      // preserveDirectiveContent
      get preserveDirectiveContent() {
        return process.env.NODE_ENV !== "production" && Q(ae(G.NOT_SUPPORTED_PRESERVE_DIRECTIVE)), !0;
      },
      set preserveDirectiveContent(a) {
        process.env.NODE_ENV !== "production" && Q(ae(G.NOT_SUPPORTED_PRESERVE_DIRECTIVE));
      },
      // pluralizationRules
      get pluralizationRules() {
        return n.pluralRules || {};
      },
      // for internal
      __composer: n,
      // t
      t(...a) {
        const [o, c, u] = a, m = {};
        let N = null, T = null;
        if (!O(o))
          throw X(w.INVALID_ARGUMENT);
        const E = o;
        return O(c) ? m.locale = c : H(c) ? N = c : M(c) && (T = c), H(u) ? N = u : M(u) && (T = u), Reflect.apply(n.t, n, [
          E,
          N || T || {},
          m
        ]);
      },
      rt(...a) {
        return Reflect.apply(n.rt, n, [...a]);
      },
      // tc
      tc(...a) {
        const [o, c, u] = a, m = { plural: 1 };
        let N = null, T = null;
        if (!O(o))
          throw X(w.INVALID_ARGUMENT);
        const E = o;
        return O(c) ? m.locale = c : K(c) ? m.plural = c : H(c) ? N = c : M(c) && (T = c), O(u) ? m.locale = u : H(u) ? N = u : M(u) && (T = u), Reflect.apply(n.t, n, [
          E,
          N || T || {},
          m
        ]);
      },
      // te
      te(a, o) {
        return n.te(a, o);
      },
      // tm
      tm(a) {
        return n.tm(a);
      },
      // getLocaleMessage
      getLocaleMessage(a) {
        return n.getLocaleMessage(a);
      },
      // setLocaleMessage
      setLocaleMessage(a, o) {
        n.setLocaleMessage(a, o);
      },
      // mergeLocaleMessage
      mergeLocaleMessage(a, o) {
        n.mergeLocaleMessage(a, o);
      },
      // d
      d(...a) {
        return Reflect.apply(n.d, n, [...a]);
      },
      // getDateTimeFormat
      getDateTimeFormat(a) {
        return n.getDateTimeFormat(a);
      },
      // setDateTimeFormat
      setDateTimeFormat(a, o) {
        n.setDateTimeFormat(a, o);
      },
      // mergeDateTimeFormat
      mergeDateTimeFormat(a, o) {
        n.mergeDateTimeFormat(a, o);
      },
      // n
      n(...a) {
        return Reflect.apply(n.n, n, [...a]);
      },
      // getNumberFormat
      getNumberFormat(a) {
        return n.getNumberFormat(a);
      },
      // setNumberFormat
      setNumberFormat(a, o) {
        n.setNumberFormat(a, o);
      },
      // mergeNumberFormat
      mergeNumberFormat(a, o) {
        n.mergeNumberFormat(a, o);
      },
      // getChoiceIndex
      // eslint-disable-next-line @typescript-eslint/no-unused-vars
      getChoiceIndex(a, o) {
        return process.env.NODE_ENV !== "production" && Q(ae(G.NOT_SUPPORTED_GET_CHOICE_INDEX)), -1;
      }
    };
    return r.__extender = s, process.env.NODE_ENV !== "production" && (r.__enableEmitter = (a) => {
      const o = n;
      o[ke] && o[ke](a);
    }, r.__disableEmitter = () => {
      const a = n;
      a[rt] && a[rt]();
    }), r;
  }
}
const Wt = {
  tag: {
    type: [String, Object]
  },
  locale: {
    type: String
  },
  scope: {
    type: String,
    // NOTE: avoid https://github.com/microsoft/rushstack/issues/1050
    validator: (e) => e === "parent" || e === "global",
    default: "parent"
    /* ComponentI18nScope */
  },
  i18n: {
    type: Object
  }
};
function Vi({ slots: e }, t) {
  return t.length === 1 && t[0] === "default" ? (e.default ? e.default() : []).reduce((s, r) => [
    ...s,
    // prettier-ignore
    ...r.type === Dn ? r.children : [r]
  ], []) : t.reduce((n, s) => {
    const r = e[s];
    return r && (n[s] = r()), n;
  }, {});
}
function sa(e) {
  return Dn;
}
const Ui = /* @__PURE__ */ Mt({
  /* eslint-disable */
  name: "i18n-t",
  props: z({
    keypath: {
      type: String,
      required: !0
    },
    plural: {
      type: [Number, String],
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      validator: (e) => K(e) || !isNaN(e)
    }
  }, Wt),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(e, t) {
    const { slots: n, attrs: s } = t, r = e.i18n || Gt({
      useScope: e.scope,
      __useComponent: !0
    });
    return () => {
      const a = Object.keys(n).filter((T) => T !== "_"), o = {};
      e.locale && (o.locale = e.locale), e.plural !== void 0 && (o.plural = O(e.plural) ? +e.plural : e.plural);
      const c = Vi(t, a), u = r[yt](e.keypath, c, o), m = z({}, s), N = O(e.tag) || V(e.tag) ? e.tag : sa();
      return Pn(N, m, u);
    };
  }
}), Nt = Ui;
function xi(e) {
  return H(e) && !O(e[0]);
}
function ra(e, t, n, s) {
  const { slots: r, attrs: a } = t;
  return () => {
    const o = { part: !0 };
    let c = {};
    e.locale && (o.locale = e.locale), O(e.format) ? o.key = e.format : V(e.format) && (O(e.format.key) && (o.key = e.format.key), c = Object.keys(e.format).reduce((E, I) => n.includes(I) ? z({}, E, { [I]: e.format[I] }) : E, {}));
    const u = s(e.value, o, c);
    let m = [o.key];
    H(u) ? m = u.map((E, I) => {
      const D = r[E.type], P = D ? D({ [E.type]: E.value, index: I, parts: u }) : [E.value];
      return xi(P) && (P[0].key = `${E.type}-${I}`), P;
    }) : O(u) && (m = [u]);
    const N = z({}, a), T = O(e.tag) || V(e.tag) ? e.tag : sa();
    return Pn(T, N, m);
  };
}
const Wi = /* @__PURE__ */ Mt({
  /* eslint-disable */
  name: "i18n-n",
  props: z({
    value: {
      type: Number,
      required: !0
    },
    format: {
      type: [String, Object]
    }
  }, Wt),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(e, t) {
    const n = e.i18n || Gt({
      useScope: "parent",
      __useComponent: !0
    });
    return ra(e, t, Jn, (...s) => (
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      n[Pt](...s)
    ));
  }
}), vn = Wi, Hi = /* @__PURE__ */ Mt({
  /* eslint-disable */
  name: "i18n-d",
  props: z({
    value: {
      type: [Number, Date],
      required: !0
    },
    format: {
      type: [String, Object]
    }
  }, Wt),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(e, t) {
    const n = e.i18n || Gt({
      useScope: "parent",
      __useComponent: !0
    });
    return ra(e, t, qn, (...s) => (
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      n[St](...s)
    ));
  }
}), Ln = Hi;
function Gi(e, t) {
  const n = e;
  if (e.mode === "composition")
    return n.__getInstance(t) || e.global;
  {
    const s = n.__getInstance(t);
    return s != null ? s.__composer : e.global.__composer;
  }
}
function Yi(e) {
  const t = (o) => {
    const { instance: c, modifiers: u, value: m } = o;
    if (!c || !c.$)
      throw X(w.UNEXPECTED_ERROR);
    const N = Gi(e, c.$);
    process.env.NODE_ENV !== "production" && u.preserve && Q(ae(G.NOT_SUPPORTED_PRESERVE));
    const T = On(m);
    return [
      Reflect.apply(N.t, N, [...In(T)]),
      N
    ];
  };
  return {
    created: (o, c) => {
      const [u, m] = t(c);
      ge && e.global === m && (o.__i18nWatcher = Tt(m.locale, () => {
        c.instance && c.instance.$forceUpdate();
      })), o.__composer = m, o.textContent = u;
    },
    unmounted: (o) => {
      ge && o.__i18nWatcher && (o.__i18nWatcher(), o.__i18nWatcher = void 0, delete o.__i18nWatcher), o.__composer && (o.__composer = void 0, delete o.__composer);
    },
    beforeUpdate: (o, { value: c }) => {
      if (o.__composer) {
        const u = o.__composer, m = On(c);
        o.textContent = Reflect.apply(u.t, u, [
          ...In(m)
        ]);
      }
    },
    getSSRProps: (o) => {
      const [c] = t(o);
      return { textContent: c };
    }
  };
}
function On(e) {
  if (O(e))
    return { path: e };
  if (M(e)) {
    if (!("path" in e))
      throw X(w.REQUIRED_VALUE, "path");
    return e;
  } else
    throw X(w.INVALID_VALUE);
}
function In(e) {
  const { path: t, locale: n, args: s, choice: r, plural: a } = e, o = {}, c = s || {};
  return O(n) && (o.locale = n), K(r) && (o.plural = r), K(a) && (o.plural = a), [t, c, o];
}
function Bi(e, t, ...n) {
  const s = M(n[0]) ? n[0] : {}, r = !!s.useI18nComponentName, a = F(s.globalInstall) ? s.globalInstall : !0;
  process.env.NODE_ENV !== "production" && a && r && Q(ae(G.COMPONENT_NAME_LEGACY_COMPATIBLE, {
    name: Nt.name
  })), a && ([r ? "i18n" : Nt.name, "I18nT"].forEach((o) => e.component(o, Nt)), [vn.name, "I18nN"].forEach((o) => e.component(o, vn)), [Ln.name, "I18nD"].forEach((o) => e.component(o, Ln))), e.directive("t", Yi(t));
}
const ht = {
  "vue-devtools-plugin-vue-i18n": "Vue I18n devtools",
  "vue-i18n-resource-inspector": "I18n Resources",
  "vue-i18n-timeline": "Vue I18n"
}, ji = {
  "vue-i18n-resource-inspector": "Search for scopes ..."
}, Ki = {
  "vue-i18n-timeline": 16764185
}, oa = "vue-i18n: composer properties";
let Rt;
async function Xi(e, t) {
  return new Promise((n, s) => {
    try {
      Di({
        id: "vue-devtools-plugin-vue-i18n",
        label: ht[
          "vue-devtools-plugin-vue-i18n"
          /* VueDevToolsIDs.PLUGIN */
        ],
        packageName: "vue-i18n",
        homepage: "https://vue-i18n.intlify.dev",
        logo: "https://vue-i18n.intlify.dev/vue-i18n-devtools-logo.png",
        componentStateTypes: [oa],
        app: e
        // eslint-disable-line @typescript-eslint/no-explicit-any
      }, (r) => {
        Rt = r, r.on.visitComponentTree(({ componentInstance: o, treeNode: c }) => {
          qi(o, c, t);
        }), r.on.inspectComponent(({ componentInstance: o, instanceData: c }) => {
          o.vnode.el && o.vnode.el.__VUE_I18N__ && c && (t.mode === "legacy" ? o.vnode.el.__VUE_I18N__ !== t.global.__composer && bn(c, o.vnode.el.__VUE_I18N__) : bn(c, o.vnode.el.__VUE_I18N__));
        }), r.addInspector({
          id: "vue-i18n-resource-inspector",
          label: ht[
            "vue-i18n-resource-inspector"
            /* VueDevToolsIDs.CUSTOM_INSPECTOR */
          ],
          icon: "language",
          treeFilterPlaceholder: ji[
            "vue-i18n-resource-inspector"
            /* VueDevToolsIDs.CUSTOM_INSPECTOR */
          ]
        }), r.on.getInspectorTree((o) => {
          o.app === e && o.inspectorId === "vue-i18n-resource-inspector" && eu(o, t);
        });
        const a = /* @__PURE__ */ new Map();
        r.on.getInspectorState(async (o) => {
          if (o.app === e && o.inspectorId === "vue-i18n-resource-inspector")
            if (r.unhighlightElement(), nu(o, t), o.nodeId === "global") {
              if (!a.has(o.app)) {
                const [c] = await r.getComponentInstances(o.app);
                a.set(o.app, c);
              }
              r.highlightElement(a.get(o.app));
            } else {
              const c = tu(o.nodeId, t);
              c && r.highlightElement(c);
            }
        }), r.on.editInspectorState((o) => {
          o.app === e && o.inspectorId === "vue-i18n-resource-inspector" && su(o, t);
        }), r.addTimelineLayer({
          id: "vue-i18n-timeline",
          label: ht[
            "vue-i18n-timeline"
            /* VueDevToolsIDs.TIMELINE */
          ],
          color: Ki[
            "vue-i18n-timeline"
            /* VueDevToolsIDs.TIMELINE */
          ]
        }), n(!0);
      });
    } catch (r) {
      console.error(r), s(!1);
    }
  });
}
function la(e) {
  return e.type.name || e.type.displayName || e.type.__file || "Anonymous";
}
function qi(e, t, n) {
  const s = n.mode === "composition" ? n.global : n.global.__composer;
  if (e && e.vnode.el && e.vnode.el.__VUE_I18N__ && e.vnode.el.__VUE_I18N__ !== s) {
    const r = {
      label: `i18n (${la(e)} Scope)`,
      textColor: 0,
      backgroundColor: 16764185
    };
    t.tags.push(r);
  }
}
function bn(e, t) {
  const n = oa;
  e.state.push({
    type: n,
    key: "locale",
    editable: !0,
    value: t.locale.value
  }), e.state.push({
    type: n,
    key: "availableLocales",
    editable: !1,
    value: t.availableLocales
  }), e.state.push({
    type: n,
    key: "fallbackLocale",
    editable: !0,
    value: t.fallbackLocale.value
  }), e.state.push({
    type: n,
    key: "inheritLocale",
    editable: !0,
    value: t.inheritLocale
  }), e.state.push({
    type: n,
    key: "messages",
    editable: !1,
    value: Ht(t.messages.value)
  }), e.state.push({
    type: n,
    key: "datetimeFormats",
    editable: !1,
    value: t.datetimeFormats.value
  }), e.state.push({
    type: n,
    key: "numberFormats",
    editable: !1,
    value: t.numberFormats.value
  });
}
function Ht(e) {
  const t = {};
  return Object.keys(e).forEach((n) => {
    const s = e[n];
    W(s) && "source" in s ? t[n] = zi(s) : Ie(s) && s.loc && s.loc.source ? t[n] = s.loc.source : V(s) ? t[n] = Ht(s) : t[n] = s;
  }), t;
}
const Ji = {
  "<": "&lt;",
  ">": "&gt;",
  '"': "&quot;",
  "&": "&amp;"
};
function Qi(e) {
  return e.replace(/[<>"&]/g, Zi);
}
function Zi(e) {
  return Ji[e] || e;
}
function zi(e) {
  return {
    _custom: {
      type: "function",
      display: `<span>ƒ</span> ${e.source ? `("${Qi(e.source)}")` : "(?)"}`
    }
  };
}
function eu(e, t) {
  e.rootNodes.push({
    id: "global",
    label: "Global Scope"
  });
  const n = t.mode === "composition" ? t.global : t.global.__composer;
  for (const [s, r] of t.__instances) {
    const a = t.mode === "composition" ? r : r.__composer;
    n !== a && e.rootNodes.push({
      id: a.id.toString(),
      label: `${la(s)} Scope`
    });
  }
}
function tu(e, t) {
  let n = null;
  if (e !== "global") {
    for (const [s, r] of t.__instances.entries())
      if (r.id.toString() === e) {
        n = s;
        break;
      }
  }
  return n;
}
function ca(e, t) {
  if (e === "global")
    return t.mode === "composition" ? t.global : t.global.__composer;
  {
    const n = Array.from(t.__instances.values()).find((s) => s.id.toString() === e);
    return n ? t.mode === "composition" ? n : n.__composer : null;
  }
}
function nu(e, t) {
  const n = ca(e.nodeId, t);
  return n && (e.state = au(n)), null;
}
function au(e) {
  const t = {}, n = "Locale related info", s = [
    {
      type: n,
      key: "locale",
      editable: !0,
      value: e.locale.value
    },
    {
      type: n,
      key: "fallbackLocale",
      editable: !0,
      value: e.fallbackLocale.value
    },
    {
      type: n,
      key: "availableLocales",
      editable: !1,
      value: e.availableLocales
    },
    {
      type: n,
      key: "inheritLocale",
      editable: !0,
      value: e.inheritLocale
    }
  ];
  t[n] = s;
  const r = "Locale messages info", a = [
    {
      type: r,
      key: "messages",
      editable: !1,
      value: Ht(e.messages.value)
    }
  ];
  t[r] = a;
  {
    const o = "Datetime formats info", c = [
      {
        type: o,
        key: "datetimeFormats",
        editable: !1,
        value: e.datetimeFormats.value
      }
    ];
    t[o] = c;
    const u = "Datetime formats info", m = [
      {
        type: u,
        key: "numberFormats",
        editable: !1,
        value: e.numberFormats.value
      }
    ];
    t[u] = m;
  }
  return t;
}
function lt(e, t) {
  if (Rt) {
    let n;
    t && "groupId" in t && (n = t.groupId, delete t.groupId), Rt.addTimelineEvent({
      layerId: "vue-i18n-timeline",
      event: {
        title: e,
        groupId: n,
        time: Date.now(),
        meta: {},
        data: t || {},
        logType: e === "compile-error" ? "error" : e === "fallback" || e === "missing" ? "warning" : "default"
      }
    });
  }
}
function su(e, t) {
  const n = ca(e.nodeId, t);
  if (n) {
    const [s] = e.path;
    s === "locale" && O(e.state.value) ? n.locale.value = e.state.value : s === "fallbackLocale" && (O(e.state.value) || H(e.state.value) || V(e.state.value)) ? n.fallbackLocale.value = e.state.value : s === "inheritLocale" && F(e.state.value) && (n.inheritLocale = e.state.value);
  }
}
function ru(e, t, n) {
  return {
    beforeCreate() {
      const s = nt();
      if (!s)
        throw X(w.UNEXPECTED_ERROR);
      const r = this.$options;
      if (r.i18n) {
        const a = r.i18n;
        if (r.__i18n && (a.__i18n = r.__i18n), a.__root = t, this === this.$root)
          this.$i18n = An(e, a);
        else {
          a.__injectWithOption = !0, a.__extender = n.__vueI18nExtend, this.$i18n = Ct(a);
          const o = this.$i18n;
          o.__extender && (o.__disposer = o.__extender(this.$i18n));
        }
      } else if (r.__i18n)
        if (this === this.$root)
          this.$i18n = An(e, r);
        else {
          this.$i18n = Ct({
            __i18n: r.__i18n,
            __injectWithOption: !0,
            __extender: n.__vueI18nExtend,
            __root: t
          });
          const a = this.$i18n;
          a.__extender && (a.__disposer = a.__extender(this.$i18n));
        }
      else
        this.$i18n = e;
      r.__i18nGlobal && aa(t, r, r), this.$t = (...a) => this.$i18n.t(...a), this.$rt = (...a) => this.$i18n.rt(...a), this.$tc = (...a) => this.$i18n.tc(...a), this.$te = (a, o) => this.$i18n.te(a, o), this.$d = (...a) => this.$i18n.d(...a), this.$n = (...a) => this.$i18n.n(...a), this.$tm = (a) => this.$i18n.tm(a), n.__setInstance(s, this.$i18n);
    },
    mounted() {
      if (process.env.NODE_ENV !== "production" && this.$el && this.$i18n) {
        const s = this.$i18n;
        this.$el.__VUE_I18N__ = s.__composer;
        const r = this.__v_emitter = wt();
        s.__enableEmitter && s.__enableEmitter(r), r.on("*", lt);
      }
    },
    unmounted() {
      const s = nt();
      if (!s)
        throw X(w.UNEXPECTED_ERROR);
      const r = this.$i18n;
      process.env.NODE_ENV !== "production" && this.$el && this.$el.__VUE_I18N__ && (this.__v_emitter && (this.__v_emitter.off("*", lt), delete this.__v_emitter), this.$i18n && (r.__disableEmitter && r.__disableEmitter(), delete this.$el.__VUE_I18N__)), delete this.$t, delete this.$rt, delete this.$tc, delete this.$te, delete this.$d, delete this.$n, delete this.$tm, r.__disposer && (r.__disposer(), delete r.__disposer, delete r.__extender), n.__deleteInstance(s), delete this.$i18n;
    }
  };
}
function An(e, t) {
  e.locale = t.locale || e.locale, e.fallbackLocale = t.fallbackLocale || e.fallbackLocale, e.missing = t.missing || e.missing, e.silentTranslationWarn = t.silentTranslationWarn || e.silentFallbackWarn, e.silentFallbackWarn = t.silentFallbackWarn || e.silentFallbackWarn, e.formatFallbackMessages = t.formatFallbackMessages || e.formatFallbackMessages, e.postTranslation = t.postTranslation || e.postTranslation, e.warnHtmlInMessage = t.warnHtmlInMessage || e.warnHtmlInMessage, e.escapeParameterHtml = t.escapeParameterHtml || e.escapeParameterHtml, e.sync = t.sync || e.sync, e.__composer[ea](t.pluralizationRules || e.pluralizationRules);
  const n = gt(e.locale, {
    messages: t.messages,
    __i18n: t.__i18n
  });
  return Object.keys(n).forEach((s) => e.mergeLocaleMessage(s, n[s])), t.datetimeFormats && Object.keys(t.datetimeFormats).forEach((s) => e.mergeDateTimeFormat(s, t.datetimeFormats[s])), t.numberFormats && Object.keys(t.numberFormats).forEach((s) => e.mergeNumberFormat(s, t.numberFormats[s])), e;
}
const ou = /* @__PURE__ */ Ee("global-vue-i18n");
function lu(e = {}, t) {
  const n = __VUE_I18N_LEGACY_API__ && F(e.legacy) ? e.legacy : __VUE_I18N_LEGACY_API__, s = F(e.globalInjection) ? e.globalInjection : !0, r = __VUE_I18N_LEGACY_API__ && n ? !!e.allowComposition : !0, a = /* @__PURE__ */ new Map(), [o, c] = cu(e, n), u = /* @__PURE__ */ Ee(process.env.NODE_ENV !== "production" ? "vue-i18n" : "");
  process.env.NODE_ENV !== "production" && n && r && Q(ae(G.NOTICE_DROP_ALLOW_COMPOSITION));
  function m(E) {
    return a.get(E) || null;
  }
  function N(E, I) {
    a.set(E, I);
  }
  function T(E) {
    a.delete(E);
  }
  {
    const E = {
      // mode
      get mode() {
        return __VUE_I18N_LEGACY_API__ && n ? "legacy" : "composition";
      },
      // allowComposition
      get allowComposition() {
        return r;
      },
      // install plugin
      async install(I, ...D) {
        if (process.env.NODE_ENV !== "production" && (I.__VUE_I18N__ = E), I.__VUE_I18N_SYMBOL__ = u, I.provide(I.__VUE_I18N_SYMBOL__, E), M(D[0])) {
          const _ = D[0];
          E.__composerExtend = _.__composerExtend, E.__vueI18nExtend = _.__vueI18nExtend;
        }
        let P = null;
        !n && s && (P = pu(I, E.global)), __VUE_I18N_FULL_INSTALL__ && Bi(I, E, ...D), __VUE_I18N_LEGACY_API__ && n && I.mixin(ru(c, c.__composer, E));
        const S = I.unmount;
        if (I.unmount = () => {
          P && P(), E.dispose(), S();
        }, process.env.NODE_ENV !== "production") {
          if (!await Xi(I, E))
            throw X(w.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN);
          const d = wt();
          if (n) {
            const v = c;
            v.__enableEmitter && v.__enableEmitter(d);
          } else {
            const v = c;
            v[ke] && v[ke](d);
          }
          d.on("*", lt);
        }
      },
      // global accessor
      get global() {
        return c;
      },
      dispose() {
        o.stop();
      },
      // @internal
      __instances: a,
      // @internal
      __getInstance: m,
      // @internal
      __setInstance: N,
      // @internal
      __deleteInstance: T
    };
    return E;
  }
}
function Gt(e = {}) {
  const t = nt();
  if (t == null)
    throw X(w.MUST_BE_CALL_SETUP_TOP);
  if (!t.isCE && t.appContext.app != null && !t.appContext.app.__VUE_I18N_SYMBOL__)
    throw X(w.NOT_INSTALLED);
  const n = iu(t), s = _u(n), r = na(t), a = uu(e, r);
  if (__VUE_I18N_LEGACY_API__ && n.mode === "legacy" && !e.__useComponent) {
    if (!n.allowComposition)
      throw X(w.NOT_AVAILABLE_IN_LEGACY_MODE);
    return gu(t, a, s, e);
  }
  if (a === "global")
    return aa(s, e, r), s;
  if (a === "parent") {
    let u = fu(n, t, e.__useComponent);
    return u == null && (process.env.NODE_ENV !== "production" && Q(ae(G.NOT_FOUND_PARENT_SCOPE)), u = s), u;
  }
  const o = n;
  let c = o.__getInstance(t);
  if (c == null) {
    const u = z({}, e);
    "__i18n" in r && (u.__i18n = r.__i18n), s && (u.__root = s), c = xt(u), o.__composerExtend && (c[Dt] = o.__composerExtend(c)), du(o, t, c), o.__setInstance(t, c);
  }
  return c;
}
function cu(e, t, n) {
  const s = Ma();
  {
    const r = __VUE_I18N_LEGACY_API__ && t ? s.run(() => Ct(e)) : s.run(() => xt(e));
    if (r == null)
      throw X(w.UNEXPECTED_ERROR);
    return [s, r];
  }
}
function iu(e) {
  {
    const t = ka(e.isCE ? ou : e.appContext.app.__VUE_I18N_SYMBOL__);
    if (!t)
      throw X(e.isCE ? w.NOT_INSTALLED_WITH_PROVIDE : w.UNEXPECTED_ERROR);
    return t;
  }
}
function uu(e, t) {
  return ft(e) ? "__i18n" in t ? "local" : "global" : e.useScope ? e.useScope : "local";
}
function _u(e) {
  return e.mode === "composition" ? e.global : e.global.__composer;
}
function fu(e, t, n = !1) {
  let s = null;
  const r = t.root;
  let a = mu(t, n);
  for (; a != null; ) {
    const o = e;
    if (e.mode === "composition")
      s = o.__getInstance(a);
    else if (__VUE_I18N_LEGACY_API__) {
      const c = o.__getInstance(a);
      c != null && (s = c.__composer, n && s && !s[ta] && (s = null));
    }
    if (s != null || r === a)
      break;
    a = a.parent;
  }
  return s;
}
function mu(e, t = !1) {
  return e == null ? null : t && e.vnode.ctx || e.parent;
}
function du(e, t, n) {
  let s = null;
  Fa(() => {
    if (process.env.NODE_ENV !== "production" && t.vnode.el) {
      t.vnode.el.__VUE_I18N__ = n, s = wt();
      const r = n;
      r[ke] && r[ke](s), s.on("*", lt);
    }
  }, t), wa(() => {
    const r = n;
    process.env.NODE_ENV !== "production" && t.vnode.el && t.vnode.el.__VUE_I18N__ && (s && s.off("*", lt), r[rt] && r[rt](), delete t.vnode.el.__VUE_I18N__), e.__deleteInstance(t);
    const a = r[Dt];
    a && (a(), delete r[Dt]);
  }, t);
}
function gu(e, t, n, s = {}) {
  const r = t === "local", a = $a(null);
  if (r && e.proxy && !(e.proxy.$options.i18n || e.proxy.$options.__i18n))
    throw X(w.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION);
  const o = F(s.inheritLocale) ? s.inheritLocale : !O(s.locale), c = fe(
    // prettier-ignore
    !r || o ? n.locale.value : O(s.locale) ? s.locale : Be
  ), u = fe(
    // prettier-ignore
    !r || o ? n.fallbackLocale.value : O(s.fallbackLocale) || H(s.fallbackLocale) || M(s.fallbackLocale) || s.fallbackLocale === !1 ? s.fallbackLocale : c.value
  ), m = fe(gt(c.value, s)), N = fe(M(s.datetimeFormats) ? s.datetimeFormats : { [c.value]: {} }), T = fe(M(s.numberFormats) ? s.numberFormats : { [c.value]: {} }), E = r ? n.missingWarn : F(s.missingWarn) || Oe(s.missingWarn) ? s.missingWarn : !0, I = r ? n.fallbackWarn : F(s.fallbackWarn) || Oe(s.fallbackWarn) ? s.fallbackWarn : !0, D = r ? n.fallbackRoot : F(s.fallbackRoot) ? s.fallbackRoot : !0, P = !!s.fallbackFormat, S = W(s.missing) ? s.missing : null, _ = W(s.postTranslation) ? s.postTranslation : null, d = r ? n.warnHtmlMessage : F(s.warnHtmlMessage) ? s.warnHtmlMessage : !0, v = !!s.escapeParameter, p = r ? n.modifiers : M(s.modifiers) ? s.modifiers : {}, A = s.pluralRules || r && n.pluralRules;
  function b() {
    return [
      c.value,
      u.value,
      m.value,
      N.value,
      T.value
    ];
  }
  const h = me({
    get: () => a.value ? a.value.locale.value : c.value,
    set: (l) => {
      a.value && (a.value.locale.value = l), c.value = l;
    }
  }), k = me({
    get: () => a.value ? a.value.fallbackLocale.value : u.value,
    set: (l) => {
      a.value && (a.value.fallbackLocale.value = l), u.value = l;
    }
  }), $ = me(() => a.value ? a.value.messages.value : m.value), Y = me(() => N.value), le = me(() => T.value);
  function q() {
    return a.value ? a.value.getPostTranslationHandler() : _;
  }
  function re(l) {
    a.value && a.value.setPostTranslationHandler(l);
  }
  function Fe() {
    return a.value ? a.value.getMissingHandler() : S;
  }
  function Ke(l) {
    a.value && a.value.setMissingHandler(l);
  }
  function ie(l) {
    return b(), l();
  }
  function we(...l) {
    return a.value ? ie(() => Reflect.apply(a.value.t, null, [...l])) : ie(() => "");
  }
  function Xe(...l) {
    return a.value ? Reflect.apply(a.value.rt, null, [...l]) : "";
  }
  function $e(...l) {
    return a.value ? ie(() => Reflect.apply(a.value.d, null, [...l])) : ie(() => "");
  }
  function ce(...l) {
    return a.value ? ie(() => Reflect.apply(a.value.n, null, [...l])) : ie(() => "");
  }
  function Ve(l) {
    return a.value ? a.value.tm(l) : {};
  }
  function qe(l, f) {
    return a.value ? a.value.te(l, f) : !1;
  }
  function Je(l) {
    return a.value ? a.value.getLocaleMessage(l) : {};
  }
  function Ue(l, f) {
    a.value && (a.value.setLocaleMessage(l, f), m.value[l] = f);
  }
  function Qe(l, f) {
    a.value && a.value.mergeLocaleMessage(l, f);
  }
  function ct(l) {
    return a.value ? a.value.getDateTimeFormat(l) : {};
  }
  function Ze(l, f) {
    a.value && (a.value.setDateTimeFormat(l, f), N.value[l] = f);
  }
  function Ae(l, f) {
    a.value && a.value.mergeDateTimeFormat(l, f);
  }
  function ye(l) {
    return a.value ? a.value.getNumberFormat(l) : {};
  }
  function Te(l, f) {
    a.value && (a.value.setNumberFormat(l, f), T.value[l] = f);
  }
  function Se(l, f) {
    a.value && a.value.mergeNumberFormat(l, f);
  }
  const ze = {
    get id() {
      return a.value ? a.value.id : -1;
    },
    locale: h,
    fallbackLocale: k,
    messages: $,
    datetimeFormats: Y,
    numberFormats: le,
    get inheritLocale() {
      return a.value ? a.value.inheritLocale : o;
    },
    set inheritLocale(l) {
      a.value && (a.value.inheritLocale = l);
    },
    get availableLocales() {
      return a.value ? a.value.availableLocales : Object.keys(m.value);
    },
    get modifiers() {
      return a.value ? a.value.modifiers : p;
    },
    get pluralRules() {
      return a.value ? a.value.pluralRules : A;
    },
    get isGlobal() {
      return a.value ? a.value.isGlobal : !1;
    },
    get missingWarn() {
      return a.value ? a.value.missingWarn : E;
    },
    set missingWarn(l) {
      a.value && (a.value.missingWarn = l);
    },
    get fallbackWarn() {
      return a.value ? a.value.fallbackWarn : I;
    },
    set fallbackWarn(l) {
      a.value && (a.value.missingWarn = l);
    },
    get fallbackRoot() {
      return a.value ? a.value.fallbackRoot : D;
    },
    set fallbackRoot(l) {
      a.value && (a.value.fallbackRoot = l);
    },
    get fallbackFormat() {
      return a.value ? a.value.fallbackFormat : P;
    },
    set fallbackFormat(l) {
      a.value && (a.value.fallbackFormat = l);
    },
    get warnHtmlMessage() {
      return a.value ? a.value.warnHtmlMessage : d;
    },
    set warnHtmlMessage(l) {
      a.value && (a.value.warnHtmlMessage = l);
    },
    get escapeParameter() {
      return a.value ? a.value.escapeParameter : v;
    },
    set escapeParameter(l) {
      a.value && (a.value.escapeParameter = l);
    },
    t: we,
    getPostTranslationHandler: q,
    setPostTranslationHandler: re,
    getMissingHandler: Fe,
    setMissingHandler: Ke,
    rt: Xe,
    d: $e,
    n: ce,
    tm: Ve,
    te: qe,
    getLocaleMessage: Je,
    setLocaleMessage: Ue,
    mergeLocaleMessage: Qe,
    getDateTimeFormat: ct,
    setDateTimeFormat: Ze,
    mergeDateTimeFormat: Ae,
    getNumberFormat: ye,
    setNumberFormat: Te,
    mergeNumberFormat: Se
  };
  function i(l) {
    l.locale.value = c.value, l.fallbackLocale.value = u.value, Object.keys(m.value).forEach((f) => {
      l.mergeLocaleMessage(f, m.value[f]);
    }), Object.keys(N.value).forEach((f) => {
      l.mergeDateTimeFormat(f, N.value[f]);
    }), Object.keys(T.value).forEach((f) => {
      l.mergeNumberFormat(f, T.value[f]);
    }), l.escapeParameter = v, l.fallbackFormat = P, l.fallbackRoot = D, l.fallbackWarn = I, l.missingWarn = E, l.warnHtmlMessage = d;
  }
  return Va(() => {
    if (e.proxy == null || e.proxy.$i18n == null)
      throw X(w.NOT_AVAILABLE_COMPOSITION_IN_LEGACY);
    const l = a.value = e.proxy.$i18n.__composer;
    t === "global" ? (c.value = l.locale.value, u.value = l.fallbackLocale.value, m.value = l.messages.value, N.value = l.datetimeFormats.value, T.value = l.numberFormats.value) : r && i(l);
  }), ze;
}
const Eu = [
  "locale",
  "fallbackLocale",
  "availableLocales"
], yn = ["t", "rt", "d", "n", "tm", "te"];
function pu(e, t) {
  const n = /* @__PURE__ */ Object.create(null);
  return Eu.forEach((r) => {
    const a = Object.getOwnPropertyDescriptor(t, r);
    if (!a)
      throw X(w.UNEXPECTED_ERROR);
    const o = Ua(a.value) ? {
      get() {
        return a.value.value;
      },
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      set(c) {
        a.value.value = c;
      }
    } : {
      get() {
        return a.get && a.get();
      }
    };
    Object.defineProperty(n, r, o);
  }), e.config.globalProperties.$i18n = n, yn.forEach((r) => {
    const a = Object.getOwnPropertyDescriptor(t, r);
    if (!a || !a.value)
      throw X(w.UNEXPECTED_ERROR);
    Object.defineProperty(e.config.globalProperties, `$${r}`, a);
  }), () => {
    delete e.config.globalProperties.$i18n, yn.forEach((r) => {
      delete e.config.globalProperties[`$${r}`];
    });
  };
}
Ri();
__INTLIFY_JIT_COMPILATION__ ? sn(pi) : sn(Ei);
ci(Hc);
ii(wn);
if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
  const e = he();
  e.__INTLIFY__ = !0, Qc(e.__INTLIFY_DEVTOOLS_GLOBAL_HOOK__);
}
process.env.NODE_ENV;
const Iu = ["en", "ru"], Nu = { ...Ss, ...pr }, hu = { ...gr, ...hr }, ia = "en", Tu = localStorage.getItem("locale") ?? ia, Sn = lu({
  legacy: !1,
  locale: Tu,
  fallbackLocale: ia,
  messages: {
    en: Nu,
    ru: hu
  }
}), bu = [
  { locale: "en", languageName: "English", countryCode: "gb" },
  { locale: "ru", languageName: "Русский", countryCode: "ru" }
], Au = [
  {
    locale: "en",
    messages: Mo
  },
  {
    locale: "ru",
    messages: jl
  }
], { createI18nMessage: vu } = Ra, Z = vu({ t: Sn.global.t.bind(Sn) }), yu = Z(da, { messagePath: () => "VALIDATIONS.alpha" }), Su = Z(ga, { messagePath: () => "VALIDATIONS.alphaNum" }), Pu = Z(Ea, { withArguments: !0, messagePath: () => "VALIDATIONS.between" }), Du = Z(pa, { messagePath: () => "VALIDATIONS.decimal" }), Cu = Z(Na, { messagePath: () => "VALIDATIONS.email" }), Ru = Z(ha, { messagePath: () => "VALIDATIONS.integer" }), Mu = Z(Ta, { messagePath: () => "VALIDATIONS.ipAddress" }), ku = Z(va, { withArguments: !0, messagePath: () => "VALIDATIONS.macAddress" }), Fu = Z(La, { withArguments: !0, messagePath: () => "VALIDATIONS.maxLength" }), wu = Z(Oa, { withArguments: !0, messagePath: () => "VALIDATIONS.maxValue" }), $u = Z(Ia, { withArguments: !0, messagePath: () => "VALIDATIONS.minLength" }), Vu = Z(ba, { withArguments: !0, messagePath: () => "VALIDATIONS.minValue" }), Uu = Z(Aa, { messagePath: () => "VALIDATIONS.numeric" }), xu = Z(ya, { messagePath: () => "VALIDATIONS.required" }), Wu = Z(Sa, { withArguments: !0, messagePath: () => "VALIDATIONS.requiredIf" }), Hu = Z(Pa, { withArguments: !0, messagePath: () => "VALIDATIONS.requiredUnless" }), Gu = Z(Da, { withArguments: !0, messagePath: () => "VALIDATIONS.sameAs" }), Yu = Z(Ca, { withArguments: !0, messagePath: () => "VALIDATIONS.url" });
export {
  yu as a,
  Su as b,
  Pu as c,
  Du as d,
  Nu as e,
  bu as f,
  Cu as g,
  Mu as h,
  Ru as i,
  Fu as j,
  wu as k,
  $u as l,
  ku as m,
  Vu as n,
  Uu as o,
  Au as p,
  xu as q,
  hu as r,
  Iu as s,
  Wu as t,
  Hu as u,
  Gu as v,
  Yu as w,
  Gt as x
};
