export declare class CacheItem {
    hash: string;
    data: any;
    constructor(hash: string, data: any);
}
declare class CachingServiceClass {
    private DB_NAME;
    private db;
    private static _instance;
    static get Instance(): CachingServiceClass;
    private createObjectStore;
    getCacheItem(key: string): Promise<CacheItem | undefined>;
    insertCacheItem(key: string, cacheItem: CacheItem): Promise<void>;
    deleteCacheItem(key: string): Promise<void>;
    clearCache(): Promise<void>;
}
export declare const CachingService: CachingServiceClass;
export {};
