import type { Composer } from 'vue-i18n';
import type { Validation } from '@vuelidate/core';
import { type AxiosError } from 'axios';
import type { ToastServiceMethods } from 'primevue/toastservice';
import type { ToastMessageOptions } from 'primevue/toast';
export declare function getExceptionToastMessageOptions(error: AxiosError): ToastMessageOptions;
export declare function formatException(error: any): any;
export declare function displayValidationError(validator: Validation<any>, toast: ToastServiceMethods, i18n: Composer, msg: string): void;
