import { ErrorObject, ValidationRuleWithoutParams } from '@vuelidate/core';
export declare function createValidatorNativeCollection<T>(validationRule: ValidationRuleWithoutParams<any>, data: Array<T>): import("vue").Ref<import("@vuelidate/core").Validation<{
    collection: {
        $each: {
            $validator: import("@vuelidate/core").ValidationRule;
            $message: () => string;
        };
    };
}, {
    collection: {
        value: T;
    }[];
}>>;
export declare function removeInvalidValuesFromCollection(errors: Array<ErrorObject>, data: Array<any>): void;
