export declare function isDate(value: any): boolean;
export declare function dateFormatExact(date: Date | string | null, format: string): string;
export declare function dateFormatBySystemLocale(date: Date | string | null, includeTime?: boolean): string;
export declare function convertToLocalTime(date: Date | string): Date | null;
export type UnitOfTime = ("year" | "years" | "y" | "month" | "months" | "M" | "week" | "weeks" | "w" | "day" | "days" | "d" | "hour" | "hours" | "h" | "minute" | "minutes" | "m" | "second" | "seconds" | "s" | "millisecond" | "milliseconds" | "ms");
export declare function getDifference(start: Date, end: Date, unitOfTime: UnitOfTime): number;
